---
apiVersion: apiextensions.k8s.io/v1
kind: CustomResourceDefinition
metadata:
  annotations:
    controller-gen.kubebuilder.io/version: v0.16.5
    operator.prometheus.io/version: 0.79.2
  name: alertmanagerconfigs.monitoring.coreos.com
spec:
  group: monitoring.coreos.com
  names:
    categories:
      - prometheus-operator
    kind: AlertmanagerConfig
    listKind: AlertmanagerConfigList
    plural: alertmanagerconfigs
    shortNames:
      - amcfg
    singular: alertmanagerconfig
  scope: Namespaced
  versions:
    - name: v1alpha1
      schema:
        openAPIV3Schema:
          properties:
            apiVersion:
              type: string
            kind:
              type: string
            metadata:
              type: object
            spec:
              properties:
                inhibitRules:
                  items:
                    properties:
                      equal:
                        items:
                          type: string
                        type: array
                      sourceMatch:
                        items:
                          properties:
                            matchType:
                              enum:
                                - '!='
                                - =
                                - =~
                                - '!~'
                              type: string
                            name:
                              minLength: 1
                              type: string
                            regex:
                              type: boolean
                            value:
                              type: string
                          required:
                            - name
                          type: object
                        type: array
                      targetMatch:
                        items:
                          properties:
                            matchType:
                              enum:
                                - '!='
                                - =
                                - =~
                                - '!~'
                              type: string
                            name:
                              minLength: 1
                              type: string
                            regex:
                              type: boolean
                            value:
                              type: string
                          required:
                            - name
                          type: object
                        type: array
                    type: object
                  type: array
                muteTimeIntervals:
                  items:
                    properties:
                      name:
                        type: string
                      timeIntervals:
                        items:
                          properties:
                            daysOfMonth:
                              items:
                                properties:
                                  end:
                                    maximum: 31
                                    minimum: -31
                                    type: integer
                                  start:
                                    maximum: 31
                                    minimum: -31
                                    type: integer
                                type: object
                              type: array
                            months:
                              items:
                                pattern: ^((?i)january|february|march|april|may|june|july|august|september|october|november|december|1[0-2]|[1-9])(?:((:((?i)january|february|march|april|may|june|july|august|september|october|november|december|1[0-2]|[1-9]))$)|$)
                                type: string
                              type: array
                            times:
                              items:
                                properties:
                                  endTime:
                                    pattern: ^((([01][0-9])|(2[0-3])):[0-5][0-9])$|(^24:00$)
                                    type: string
                                  startTime:
                                    pattern: ^((([01][0-9])|(2[0-3])):[0-5][0-9])$|(^24:00$)
                                    type: string
                                type: object
                              type: array
                            weekdays:
                              items:
                                pattern: ^((?i)sun|mon|tues|wednes|thurs|fri|satur)day(?:((:(sun|mon|tues|wednes|thurs|fri|satur)day)$)|$)
                                type: string
                              type: array
                            years:
                              items:
                                pattern: ^2\d{3}(?::2\d{3}|$)
                                type: string
                              type: array
                          type: object
                        type: array
                    required:
                      - name
                    type: object
                  type: array
                receivers:
                  items:
                    properties:
                      discordConfigs:
                        items:
                          properties:
                            apiURL:
                              properties:
                                key:
                                  type: string
                                name:
                                  default: ""
                                  type: string
                                optional:
                                  type: boolean
                              required:
                                - key
                              type: object
                              x-kubernetes-map-type: atomic
                            httpConfig:
                              properties:
                                authorization:
                                  properties:
                                    credentials:
                                      properties:
                                        key:
                                          type: string
                                        name:
                                          default: ""
                                          type: string
                                        optional:
                                          type: boolean
                                      required:
                                        - key
                                      type: object
                                      x-kubernetes-map-type: atomic
                                    type:
                                      type: string
                                  type: object
                                basicAuth:
                                  properties:
                                    password:
                                      properties:
                                        key:
                                          type: string
                                        name:
                                          default: ""
                                          type: string
                                        optional:
                                          type: boolean
                                      required:
                                        - key
                                      type: object
                                      x-kubernetes-map-type: atomic
                                    username:
                                      properties:
                                        key:
                                          type: string
                                        name:
                                          default: ""
                                          type: string
                                        optional:
                                          type: boolean
                                      required:
                                        - key
                                      type: object
                                      x-kubernetes-map-type: atomic
                                  type: object
                                bearerTokenSecret:
                                  properties:
                                    key:
                                      type: string
                                    name:
                                      default: ""
                                      type: string
                                    optional:
                                      type: boolean
                                  required:
                                    - key
                                  type: object
                                  x-kubernetes-map-type: atomic
                                followRedirects:
                                  type: boolean
                                noProxy:
                                  type: string
                                oauth2:
                                  properties:
                                    clientId:
                                      properties:
                                        configMap:
                                          properties:
                                            key:
                                              type: string
                                            name:
                                              default: ""
                                              type: string
                                            optional:
                                              type: boolean
                                          required:
                                            - key
                                          type: object
                                          x-kubernetes-map-type: atomic
                                        secret:
                                          properties:
                                            key:
                                              type: string
                                            name:
                                              default: ""
                                              type: string
                                            optional:
                                              type: boolean
                                          required:
                                            - key
                                          type: object
                                          x-kubernetes-map-type: atomic
                                      type: object
                                    clientSecret:
                                      properties:
                                        key:
                                          type: string
                                        name:
                                          default: ""
                                          type: string
                                        optional:
                                          type: boolean
                                      required:
                                        - key
                                      type: object
                                      x-kubernetes-map-type: atomic
                                    endpointParams:
                                      additionalProperties:
                                        type: string
                                      type: object
                                    noProxy:
                                      type: string
                                    proxyConnectHeader:
                                      additionalProperties:
                                        items:
                                          properties:
                                            key:
                                              type: string
                                            name:
                                              default: ""
                                              type: string
                                            optional:
                                              type: boolean
                                          required:
                                            - key
                                          type: object
                                          x-kubernetes-map-type: atomic
                                        type: array
                                      type: object
                                      x-kubernetes-map-type: atomic
                                    proxyFromEnvironment:
                                      type: boolean
                                    proxyUrl:
                                      pattern: ^http(s)?://.+$
                                      type: string
                                    scopes:
                                      items:
                                        type: string
                                      type: array
                                    tlsConfig:
                                      properties:
                                        ca:
                                          properties:
                                            configMap:
                                              properties:
                                                key:
                                                  type: string
                                                name:
                                                  default: ""
                                                  type: string
                                                optional:
                                                  type: boolean
                                              required:
                                                - key
                                              type: object
                                              x-kubernetes-map-type: atomic
                                            secret:
                                              properties:
                                                key:
                                                  type: string
                                                name:
                                                  default: ""
                                                  type: string
                                                optional:
                                                  type: boolean
                                              required:
                                                - key
                                              type: object
                                              x-kubernetes-map-type: atomic
                                          type: object
                                        cert:
                                          properties:
                                            configMap:
                                              properties:
                                                key:
                                                  type: string
                                                name:
                                                  default: ""
                                                  type: string
                                                optional:
                                                  type: boolean
                                              required:
                                                - key
                                              type: object
                                              x-kubernetes-map-type: atomic
                                            secret:
                                              properties:
                                                key:
                                                  type: string
                                                name:
                                                  default: ""
                                                  type: string
                                                optional:
                                                  type: boolean
                                              required:
                                                - key
                                              type: object
                                              x-kubernetes-map-type: atomic
                                          type: object
                                        insecureSkipVerify:
                                          type: boolean
                                        keySecret:
                                          properties:
                                            key:
                                              type: string
                                            name:
                                              default: ""
                                              type: string
                                            optional:
                                              type: boolean
                                          required:
                                            - key
                                          type: object
                                          x-kubernetes-map-type: atomic
                                        maxVersion:
                                          enum:
                                            - TLS10
                                            - TLS11
                                            - TLS12
                                            - TLS13
                                          type: string
                                        minVersion:
                                          enum:
                                            - TLS10
                                            - TLS11
                                            - TLS12
                                            - TLS13
                                          type: string
                                        serverName:
                                          type: string
                                      type: object
                                    tokenUrl:
                                      minLength: 1
                                      type: string
                                  required:
                                    - clientId
                                    - clientSecret
                                    - tokenUrl
                                  type: object
                                proxyConnectHeader:
                                  additionalProperties:
                                    items:
                                      properties:
                                        key:
                                          type: string
                                        name:
                                          default: ""
                                          type: string
                                        optional:
                                          type: boolean
                                      required:
                                        - key
                                      type: object
                                      x-kubernetes-map-type: atomic
                                    type: array
                                  type: object
                                  x-kubernetes-map-type: atomic
                                proxyFromEnvironment:
                                  type: boolean
                                proxyURL:
                                  type: string
                                proxyUrl:
                                  pattern: ^http(s)?://.+$
                                  type: string
                                tlsConfig:
                                  properties:
                                    ca:
                                      properties:
                                        configMap:
                                          properties:
                                            key:
                                              type: string
                                            name:
                                              default: ""
                                              type: string
                                            optional:
                                              type: boolean
                                          required:
                                            - key
                                          type: object
                                          x-kubernetes-map-type: atomic
                                        secret:
                                          properties:
                                            key:
                                              type: string
                                            name:
                                              default: ""
                                              type: string
                                            optional:
                                              type: boolean
                                          required:
                                            - key
                                          type: object
                                          x-kubernetes-map-type: atomic
                                      type: object
                                    cert:
                                      properties:
                                        configMap:
                                          properties:
                                            key:
                                              type: string
                                            name:
                                              default: ""
                                              type: string
                                            optional:
                                              type: boolean
                                          required:
                                            - key
                                          type: object
                                          x-kubernetes-map-type: atomic
                                        secret:
                                          properties:
                                            key:
                                              type: string
                                            name:
                                              default: ""
                                              type: string
                                            optional:
                                              type: boolean
                                          required:
                                            - key
                                          type: object
                                          x-kubernetes-map-type: atomic
                                      type: object
                                    insecureSkipVerify:
                                      type: boolean
                                    keySecret:
                                      properties:
                                        key:
                                          type: string
                                        name:
                                          default: ""
                                          type: string
                                        optional:
                                          type: boolean
                                      required:
                                        - key
                                      type: object
                                      x-kubernetes-map-type: atomic
                                    maxVersion:
                                      enum:
                                        - TLS10
                                        - TLS11
                                        - TLS12
                                        - TLS13
                                      type: string
                                    minVersion:
                                      enum:
                                        - TLS10
                                        - TLS11
                                        - TLS12
                                        - TLS13
                                      type: string
                                    serverName:
                                      type: string
                                  type: object
                              type: object
                            message:
                              type: string
                            sendResolved:
                              type: boolean
                            title:
                              type: string
                          required:
                            - apiURL
                          type: object
                        type: array
                      emailConfigs:
                        items:
                          properties:
                            authIdentity:
                              type: string
                            authPassword:
                              properties:
                                key:
                                  type: string
                                name:
                                  default: ""
                                  type: string
                                optional:
                                  type: boolean
                              required:
                                - key
                              type: object
                              x-kubernetes-map-type: atomic
                            authSecret:
                              properties:
                                key:
                                  type: string
                                name:
                                  default: ""
                                  type: string
                                optional:
                                  type: boolean
                              required:
                                - key
                              type: object
                              x-kubernetes-map-type: atomic
                            authUsername:
                              type: string
                            from:
                              type: string
                            headers:
                              items:
                                properties:
                                  key:
                                    minLength: 1
                                    type: string
                                  value:
                                    type: string
                                required:
                                  - key
                                  - value
                                type: object
                              type: array
                            hello:
                              type: string
                            html:
                              type: string
                            requireTLS:
                              type: boolean
                            sendResolved:
                              type: boolean
                            smarthost:
                              type: string
                            text:
                              type: string
                            tlsConfig:
                              properties:
                                ca:
                                  properties:
                                    configMap:
                                      properties:
                                        key:
                                          type: string
                                        name:
                                          default: ""
                                          type: string
                                        optional:
                                          type: boolean
                                      required:
                                        - key
                                      type: object
                                      x-kubernetes-map-type: atomic
                                    secret:
                                      properties:
                                        key:
                                          type: string
                                        name:
                                          default: ""
                                          type: string
                                        optional:
                                          type: boolean
                                      required:
                                        - key
                                      type: object
                                      x-kubernetes-map-type: atomic
                                  type: object
                                cert:
                                  properties:
                                    configMap:
                                      properties:
                                        key:
                                          type: string
                                        name:
                                          default: ""
                                          type: string
                                        optional:
                                          type: boolean
                                      required:
                                        - key
                                      type: object
                                      x-kubernetes-map-type: atomic
                                    secret:
                                      properties:
                                        key:
                                          type: string
                                        name:
                                          default: ""
                                          type: string
                                        optional:
                                          type: boolean
                                      required:
                                        - key
                                      type: object
                                      x-kubernetes-map-type: atomic
                                  type: object
                                insecureSkipVerify:
                                  type: boolean
                                keySecret:
                                  properties:
                                    key:
                                      type: string
                                    name:
                                      default: ""
                                      type: string
                                    optional:
                                      type: boolean
                                  required:
                                    - key
                                  type: object
                                  x-kubernetes-map-type: atomic
                                maxVersion:
                                  enum:
                                    - TLS10
                                    - TLS11
                                    - TLS12
                                    - TLS13
                                  type: string
                                minVersion:
                                  enum:
                                    - TLS10
                                    - TLS11
                                    - TLS12
                                    - TLS13
                                  type: string
                                serverName:
                                  type: string
                              type: object
                            to:
                              type: string
                          type: object
                        type: array
                      msteamsConfigs:
                        items:
                          properties:
                            httpConfig:
                              properties:
                                authorization:
                                  properties:
                                    credentials:
                                      properties:
                                        key:
                                          type: string
                                        name:
                                          default: ""
                                          type: string
                                        optional:
                                          type: boolean
                                      required:
                                        - key
                                      type: object
                                      x-kubernetes-map-type: atomic
                                    type:
                                      type: string
                                  type: object
                                basicAuth:
                                  properties:
                                    password:
                                      properties:
                                        key:
                                          type: string
                                        name:
                                          default: ""
                                          type: string
                                        optional:
                                          type: boolean
                                      required:
                                        - key
                                      type: object
                                      x-kubernetes-map-type: atomic
                                    username:
                                      properties:
                                        key:
                                          type: string
                                        name:
                                          default: ""
                                          type: string
                                        optional:
                                          type: boolean
                                      required:
                                        - key
                                      type: object
                                      x-kubernetes-map-type: atomic
                                  type: object
                                bearerTokenSecret:
                                  properties:
                                    key:
                                      type: string
                                    name:
                                      default: ""
                                      type: string
                                    optional:
                                      type: boolean
                                  required:
                                    - key
                                  type: object
                                  x-kubernetes-map-type: atomic
                                followRedirects:
                                  type: boolean
                                noProxy:
                                  type: string
                                oauth2:
                                  properties:
                                    clientId:
                                      properties:
                                        configMap:
                                          properties:
                                            key:
                                              type: string
                                            name:
                                              default: ""
                                              type: string
                                            optional:
                                              type: boolean
                                          required:
                                            - key
                                          type: object
                                          x-kubernetes-map-type: atomic
                                        secret:
                                          properties:
                                            key:
                                              type: string
                                            name:
                                              default: ""
                                              type: string
                                            optional:
                                              type: boolean
                                          required:
                                            - key
                                          type: object
                                          x-kubernetes-map-type: atomic
                                      type: object
                                    clientSecret:
                                      properties:
                                        key:
                                          type: string
                                        name:
                                          default: ""
                                          type: string
                                        optional:
                                          type: boolean
                                      required:
                                        - key
                                      type: object
                                      x-kubernetes-map-type: atomic
                                    endpointParams:
                                      additionalProperties:
                                        type: string
                                      type: object
                                    noProxy:
                                      type: string
                                    proxyConnectHeader:
                                      additionalProperties:
                                        items:
                                          properties:
                                            key:
                                              type: string
                                            name:
                                              default: ""
                                              type: string
                                            optional:
                                              type: boolean
                                          required:
                                            - key
                                          type: object
                                          x-kubernetes-map-type: atomic
                                        type: array
                                      type: object
                                      x-kubernetes-map-type: atomic
                                    proxyFromEnvironment:
                                      type: boolean
                                    proxyUrl:
                                      pattern: ^http(s)?://.+$
                                      type: string
                                    scopes:
                                      items:
                                        type: string
                                      type: array
                                    tlsConfig:
                                      properties:
                                        ca:
                                          properties:
                                            configMap:
                                              properties:
                                                key:
                                                  type: string
                                                name:
                                                  default: ""
                                                  type: string
                                                optional:
                                                  type: boolean
                                              required:
                                                - key
                                              type: object
                                              x-kubernetes-map-type: atomic
                                            secret:
                                              properties:
                                                key:
                                                  type: string
                                                name:
                                                  default: ""
                                                  type: string
                                                optional:
                                                  type: boolean
                                              required:
                                                - key
                                              type: object
                                              x-kubernetes-map-type: atomic
                                          type: object
                                        cert:
                                          properties:
                                            configMap:
                                              properties:
                                                key:
                                                  type: string
                                                name:
                                                  default: ""
                                                  type: string
                                                optional:
                                                  type: boolean
                                              required:
                                                - key
                                              type: object
                                              x-kubernetes-map-type: atomic
                                            secret:
                                              properties:
                                                key:
                                                  type: string
                                                name:
                                                  default: ""
                                                  type: string
                                                optional:
                                                  type: boolean
                                              required:
                                                - key
                                              type: object
                                              x-kubernetes-map-type: atomic
                                          type: object
                                        insecureSkipVerify:
                                          type: boolean
                                        keySecret:
                                          properties:
                                            key:
                                              type: string
                                            name:
                                              default: ""
                                              type: string
                                            optional:
                                              type: boolean
                                          required:
                                            - key
                                          type: object
                                          x-kubernetes-map-type: atomic
                                        maxVersion:
                                          enum:
                                            - TLS10
                                            - TLS11
                                            - TLS12
                                            - TLS13
                                          type: string
                                        minVersion:
                                          enum:
                                            - TLS10
                                            - TLS11
                                            - TLS12
                                            - TLS13
                                          type: string
                                        serverName:
                                          type: string
                                      type: object
                                    tokenUrl:
                                      minLength: 1
                                      type: string
                                  required:
                                    - clientId
                                    - clientSecret
                                    - tokenUrl
                                  type: object
                                proxyConnectHeader:
                                  additionalProperties:
                                    items:
                                      properties:
                                        key:
                                          type: string
                                        name:
                                          default: ""
                                          type: string
                                        optional:
                                          type: boolean
                                      required:
                                        - key
                                      type: object
                                      x-kubernetes-map-type: atomic
                                    type: array
                                  type: object
                                  x-kubernetes-map-type: atomic
                                proxyFromEnvironment:
                                  type: boolean
                                proxyURL:
                                  type: string
                                proxyUrl:
                                  pattern: ^http(s)?://.+$
                                  type: string
                                tlsConfig:
                                  properties:
                                    ca:
                                      properties:
                                        configMap:
                                          properties:
                                            key:
                                              type: string
                                            name:
                                              default: ""
                                              type: string
                                            optional:
                                              type: boolean
                                          required:
                                            - key
                                          type: object
                                          x-kubernetes-map-type: atomic
                                        secret:
                                          properties:
                                            key:
                                              type: string
                                            name:
                                              default: ""
                                              type: string
                                            optional:
                                              type: boolean
                                          required:
                                            - key
                                          type: object
                                          x-kubernetes-map-type: atomic
                                      type: object
                                    cert:
                                      properties:
                                        configMap:
                                          properties:
                                            key:
                                              type: string
                                            name:
                                              default: ""
                                              type: string
                                            optional:
                                              type: boolean
                                          required:
                                            - key
                                          type: object
                                          x-kubernetes-map-type: atomic
                                        secret:
                                          properties:
                                            key:
                                              type: string
                                            name:
                                              default: ""
                                              type: string
                                            optional:
                                              type: boolean
                                          required:
                                            - key
                                          type: object
                                          x-kubernetes-map-type: atomic
                                      type: object
                                    insecureSkipVerify:
                                      type: boolean
                                    keySecret:
                                      properties:
                                        key:
                                          type: string
                                        name:
                                          default: ""
                                          type: string
                                        optional:
                                          type: boolean
                                      required:
                                        - key
                                      type: object
                                      x-kubernetes-map-type: atomic
                                    maxVersion:
                                      enum:
                                        - TLS10
                                        - TLS11
                                        - TLS12
                                        - TLS13
                                      type: string
                                    minVersion:
                                      enum:
                                        - TLS10
                                        - TLS11
                                        - TLS12
                                        - TLS13
                                      type: string
                                    serverName:
                                      type: string
                                  type: object
                              type: object
                            sendResolved:
                              type: boolean
                            summary:
                              type: string
                            text:
                              type: string
                            title:
                              type: string
                            webhookUrl:
                              properties:
                                key:
                                  type: string
                                name:
                                  default: ""
                                  type: string
                                optional:
                                  type: boolean
                              required:
                                - key
                              type: object
                              x-kubernetes-map-type: atomic
                          required:
                            - webhookUrl
                          type: object
                        type: array
                      name:
                        minLength: 1
                        type: string
                      opsgenieConfigs:
                        items:
                          properties:
                            actions:
                              type: string
                            apiKey:
                              properties:
                                key:
                                  type: string
                                name:
                                  default: ""
                                  type: string
                                optional:
                                  type: boolean
                              required:
                                - key
                              type: object
                              x-kubernetes-map-type: atomic
                            apiURL:
                              type: string
                            details:
                              items:
                                properties:
                                  key:
                                    minLength: 1
                                    type: string
                                  value:
                                    type: string
                                required:
                                  - key
                                  - value
                                type: object
                              type: array
                            entity:
                              type: string
                            httpConfig:
                              properties:
                                authorization:
                                  properties:
                                    credentials:
                                      properties:
                                        key:
                                          type: string
                                        name:
                                          default: ""
                                          type: string
                                        optional:
                                          type: boolean
                                      required:
                                        - key
                                      type: object
                                      x-kubernetes-map-type: atomic
                                    type:
                                      type: string
                                  type: object
                                basicAuth:
                                  properties:
                                    password:
                                      properties:
                                        key:
                                          type: string
                                        name:
                                          default: ""
                                          type: string
                                        optional:
                                          type: boolean
                                      required:
                                        - key
                                      type: object
                                      x-kubernetes-map-type: atomic
                                    username:
                                      properties:
                                        key:
                                          type: string
                                        name:
                                          default: ""
                                          type: string
                                        optional:
                                          type: boolean
                                      required:
                                        - key
                                      type: object
                                      x-kubernetes-map-type: atomic
                                  type: object
                                bearerTokenSecret:
                                  properties:
                                    key:
                                      type: string
                                    name:
                                      default: ""
                                      type: string
                                    optional:
                                      type: boolean
                                  required:
                                    - key
                                  type: object
                                  x-kubernetes-map-type: atomic
                                followRedirects:
                                  type: boolean
                                noProxy:
                                  type: string
                                oauth2:
                                  properties:
                                    clientId:
                                      properties:
                                        configMap:
                                          properties:
                                            key:
                                              type: string
                                            name:
                                              default: ""
                                              type: string
                                            optional:
                                              type: boolean
                                          required:
                                            - key
                                          type: object
                                          x-kubernetes-map-type: atomic
                                        secret:
                                          properties:
                                            key:
                                              type: string
                                            name:
                                              default: ""
                                              type: string
                                            optional:
                                              type: boolean
                                          required:
                                            - key
                                          type: object
                                          x-kubernetes-map-type: atomic
                                      type: object
                                    clientSecret:
                                      properties:
                                        key:
                                          type: string
                                        name:
                                          default: ""
                                          type: string
                                        optional:
                                          type: boolean
                                      required:
                                        - key
                                      type: object
                                      x-kubernetes-map-type: atomic
                                    endpointParams:
                                      additionalProperties:
                                        type: string
                                      type: object
                                    noProxy:
                                      type: string
                                    proxyConnectHeader:
                                      additionalProperties:
                                        items:
                                          properties:
                                            key:
                                              type: string
                                            name:
                                              default: ""
                                              type: string
                                            optional:
                                              type: boolean
                                          required:
                                            - key
                                          type: object
                                          x-kubernetes-map-type: atomic
                                        type: array
                                      type: object
                                      x-kubernetes-map-type: atomic
                                    proxyFromEnvironment:
                                      type: boolean
                                    proxyUrl:
                                      pattern: ^http(s)?://.+$
                                      type: string
                                    scopes:
                                      items:
                                        type: string
                                      type: array
                                    tlsConfig:
                                      properties:
                                        ca:
                                          properties:
                                            configMap:
                                              properties:
                                                key:
                                                  type: string
                                                name:
                                                  default: ""
                                                  type: string
                                                optional:
                                                  type: boolean
                                              required:
                                                - key
                                              type: object
                                              x-kubernetes-map-type: atomic
                                            secret:
                                              properties:
                                                key:
                                                  type: string
                                                name:
                                                  default: ""
                                                  type: string
                                                optional:
                                                  type: boolean
                                              required:
                                                - key
                                              type: object
                                              x-kubernetes-map-type: atomic
                                          type: object
                                        cert:
                                          properties:
                                            configMap:
                                              properties:
                                                key:
                                                  type: string
                                                name:
                                                  default: ""
                                                  type: string
                                                optional:
                                                  type: boolean
                                              required:
                                                - key
                                              type: object
                                              x-kubernetes-map-type: atomic
                                            secret:
                                              properties:
                                                key:
                                                  type: string
                                                name:
                                                  default: ""
                                                  type: string
                                                optional:
                                                  type: boolean
                                              required:
                                                - key
                                              type: object
                                              x-kubernetes-map-type: atomic
                                          type: object
                                        insecureSkipVerify:
                                          type: boolean
                                        keySecret:
                                          properties:
                                            key:
                                              type: string
                                            name:
                                              default: ""
                                              type: string
                                            optional:
                                              type: boolean
                                          required:
                                            - key
                                          type: object
                                          x-kubernetes-map-type: atomic
                                        maxVersion:
                                          enum:
                                            - TLS10
                                            - TLS11
                                            - TLS12
                                            - TLS13
                                          type: string
                                        minVersion:
                                          enum:
                                            - TLS10
                                            - TLS11
                                            - TLS12
                                            - TLS13
                                          type: string
                                        serverName:
                                          type: string
                                      type: object
                                    tokenUrl:
                                      minLength: 1
                                      type: string
                                  required:
                                    - clientId
                                    - clientSecret
                                    - tokenUrl
                                  type: object
                                proxyConnectHeader:
                                  additionalProperties:
                                    items:
                                      properties:
                                        key:
                                          type: string
                                        name:
                                          default: ""
                                          type: string
                                        optional:
                                          type: boolean
                                      required:
                                        - key
                                      type: object
                                      x-kubernetes-map-type: atomic
                                    type: array
                                  type: object
                                  x-kubernetes-map-type: atomic
                                proxyFromEnvironment:
                                  type: boolean
                                proxyURL:
                                  type: string
                                proxyUrl:
                                  pattern: ^http(s)?://.+$
                                  type: string
                                tlsConfig:
                                  properties:
                                    ca:
                                      properties:
                                        configMap:
                                          properties:
                                            key:
                                              type: string
                                            name:
                                              default: ""
                                              type: string
                                            optional:
                                              type: boolean
                                          required:
                                            - key
                                          type: object
                                          x-kubernetes-map-type: atomic
                                        secret:
                                          properties:
                                            key:
                                              type: string
                                            name:
                                              default: ""
                                              type: string
                                            optional:
                                              type: boolean
                                          required:
                                            - key
                                          type: object
                                          x-kubernetes-map-type: atomic
                                      type: object
                                    cert:
                                      properties:
                                        configMap:
                                          properties:
                                            key:
                                              type: string
                                            name:
                                              default: ""
                                              type: string
                                            optional:
                                              type: boolean
                                          required:
                                            - key
                                          type: object
                                          x-kubernetes-map-type: atomic
                                        secret:
                                          properties:
                                            key:
                                              type: string
                                            name:
                                              default: ""
                                              type: string
                                            optional:
                                              type: boolean
                                          required:
                                            - key
                                          type: object
                                          x-kubernetes-map-type: atomic
                                      type: object
                                    insecureSkipVerify:
                                      type: boolean
                                    keySecret:
                                      properties:
                                        key:
                                          type: string
                                        name:
                                          default: ""
                                          type: string
                                        optional:
                                          type: boolean
                                      required:
                                        - key
                                      type: object
                                      x-kubernetes-map-type: atomic
                                    maxVersion:
                                      enum:
                                        - TLS10
                                        - TLS11
                                        - TLS12
                                        - TLS13
                                      type: string
                                    minVersion:
                                      enum:
                                        - TLS10
                                        - TLS11
                                        - TLS12
                                        - TLS13
                                      type: string
                                    serverName:
                                      type: string
                                  type: object
                              type: object
                            message:
                              type: string
                            note:
                              type: string
                            priority:
                              type: string
                            responders:
                              items:
                                properties:
                                  id:
                                    type: string
                                  name:
                                    type: string
                                  type:
                                    minLength: 1
                                    type: string
                                  username:
                                    type: string
                                required:
                                  - type
                                type: object
                              type: array
                            sendResolved:
                              type: boolean
                            source:
                              type: string
                            tags:
                              type: string
                            updateAlerts:
                              type: boolean
                          type: object
                        type: array
                      pagerdutyConfigs:
                        items:
                          properties:
                            class:
                              type: string
                            client:
                              type: string
                            clientURL:
                              type: string
                            component:
                              type: string
                            details:
                              items:
                                properties:
                                  key:
                                    minLength: 1
                                    type: string
                                  value:
                                    type: string
                                required:
                                  - key
                                  - value
                                type: object
                              type: array
                            group:
                              type: string
                            httpConfig:
                              properties:
                                authorization:
                                  properties:
                                    credentials:
                                      properties:
                                        key:
                                          type: string
                                        name:
                                          default: ""
                                          type: string
                                        optional:
                                          type: boolean
                                      required:
                                        - key
                                      type: object
                                      x-kubernetes-map-type: atomic
                                    type:
                                      type: string
                                  type: object
                                basicAuth:
                                  properties:
                                    password:
                                      properties:
                                        key:
                                          type: string
                                        name:
                                          default: ""
                                          type: string
                                        optional:
                                          type: boolean
                                      required:
                                        - key
                                      type: object
                                      x-kubernetes-map-type: atomic
                                    username:
                                      properties:
                                        key:
                                          type: string
                                        name:
                                          default: ""
                                          type: string
                                        optional:
                                          type: boolean
                                      required:
                                        - key
                                      type: object
                                      x-kubernetes-map-type: atomic
                                  type: object
                                bearerTokenSecret:
                                  properties:
                                    key:
                                      type: string
                                    name:
                                      default: ""
                                      type: string
                                    optional:
                                      type: boolean
                                  required:
                                    - key
                                  type: object
                                  x-kubernetes-map-type: atomic
                                followRedirects:
                                  type: boolean
                                noProxy:
                                  type: string
                                oauth2:
                                  properties:
                                    clientId:
                                      properties:
                                        configMap:
                                          properties:
                                            key:
                                              type: string
                                            name:
                                              default: ""
                                              type: string
                                            optional:
                                              type: boolean
                                          required:
                                            - key
                                          type: object
                                          x-kubernetes-map-type: atomic
                                        secret:
                                          properties:
                                            key:
                                              type: string
                                            name:
                                              default: ""
                                              type: string
                                            optional:
                                              type: boolean
                                          required:
                                            - key
                                          type: object
                                          x-kubernetes-map-type: atomic
                                      type: object
                                    clientSecret:
                                      properties:
                                        key:
                                          type: string
                                        name:
                                          default: ""
                                          type: string
                                        optional:
                                          type: boolean
                                      required:
                                        - key
                                      type: object
                                      x-kubernetes-map-type: atomic
                                    endpointParams:
                                      additionalProperties:
                                        type: string
                                      type: object
                                    noProxy:
                                      type: string
                                    proxyConnectHeader:
                                      additionalProperties:
                                        items:
                                          properties:
                                            key:
                                              type: string
                                            name:
                                              default: ""
                                              type: string
                                            optional:
                                              type: boolean
                                          required:
                                            - key
                                          type: object
                                          x-kubernetes-map-type: atomic
                                        type: array
                                      type: object
                                      x-kubernetes-map-type: atomic
                                    proxyFromEnvironment:
                                      type: boolean
                                    proxyUrl:
                                      pattern: ^http(s)?://.+$
                                      type: string
                                    scopes:
                                      items:
                                        type: string
                                      type: array
                                    tlsConfig:
                                      properties:
                                        ca:
                                          properties:
                                            configMap:
                                              properties:
                                                key:
                                                  type: string
                                                name:
                                                  default: ""
                                                  type: string
                                                optional:
                                                  type: boolean
                                              required:
                                                - key
                                              type: object
                                              x-kubernetes-map-type: atomic
                                            secret:
                                              properties:
                                                key:
                                                  type: string
                                                name:
                                                  default: ""
                                                  type: string
                                                optional:
                                                  type: boolean
                                              required:
                                                - key
                                              type: object
                                              x-kubernetes-map-type: atomic
                                          type: object
                                        cert:
                                          properties:
                                            configMap:
                                              properties:
                                                key:
                                                  type: string
                                                name:
                                                  default: ""
                                                  type: string
                                                optional:
                                                  type: boolean
                                              required:
                                                - key
                                              type: object
                                              x-kubernetes-map-type: atomic
                                            secret:
                                              properties:
                                                key:
                                                  type: string
                                                name:
                                                  default: ""
                                                  type: string
                                                optional:
                                                  type: boolean
                                              required:
                                                - key
                                              type: object
                                              x-kubernetes-map-type: atomic
                                          type: object
                                        insecureSkipVerify:
                                          type: boolean
                                        keySecret:
                                          properties:
                                            key:
                                              type: string
                                            name:
                                              default: ""
                                              type: string
                                            optional:
                                              type: boolean
                                          required:
                                            - key
                                          type: object
                                          x-kubernetes-map-type: atomic
                                        maxVersion:
                                          enum:
                                            - TLS10
                                            - TLS11
                                            - TLS12
                                            - TLS13
                                          type: string
                                        minVersion:
                                          enum:
                                            - TLS10
                                            - TLS11
                                            - TLS12
                                            - TLS13
                                          type: string
                                        serverName:
                                          type: string
                                      type: object
                                    tokenUrl:
                                      minLength: 1
                                      type: string
                                  required:
                                    - clientId
                                    - clientSecret
                                    - tokenUrl
                                  type: object
                                proxyConnectHeader:
                                  additionalProperties:
                                    items:
                                      properties:
                                        key:
                                          type: string
                                        name:
                                          default: ""
                                          type: string
                                        optional:
                                          type: boolean
                                      required:
                                        - key
                                      type: object
                                      x-kubernetes-map-type: atomic
                                    type: array
                                  type: object
                                  x-kubernetes-map-type: atomic
                                proxyFromEnvironment:
                                  type: boolean
                                proxyURL:
                                  type: string
                                proxyUrl:
                                  pattern: ^http(s)?://.+$
                                  type: string
                                tlsConfig:
                                  properties:
                                    ca:
                                      properties:
                                        configMap:
                                          properties:
                                            key:
                                              type: string
                                            name:
                                              default: ""
                                              type: string
                                            optional:
                                              type: boolean
                                          required:
                                            - key
                                          type: object
                                          x-kubernetes-map-type: atomic
                                        secret:
                                          properties:
                                            key:
                                              type: string
                                            name:
                                              default: ""
                                              type: string
                                            optional:
                                              type: boolean
                                          required:
                                            - key
                                          type: object
                                          x-kubernetes-map-type: atomic
                                      type: object
                                    cert:
                                      properties:
                                        configMap:
                                          properties:
                                            key:
                                              type: string
                                            name:
                                              default: ""
                                              type: string
                                            optional:
                                              type: boolean
                                          required:
                                            - key
                                          type: object
                                          x-kubernetes-map-type: atomic
                                        secret:
                                          properties:
                                            key:
                                              type: string
                                            name:
                                              default: ""
                                              type: string
                                            optional:
                                              type: boolean
                                          required:
                                            - key
                                          type: object
                                          x-kubernetes-map-type: atomic
                                      type: object
                                    insecureSkipVerify:
                                      type: boolean
                                    keySecret:
                                      properties:
                                        key:
                                          type: string
                                        name:
                                          default: ""
                                          type: string
                                        optional:
                                          type: boolean
                                      required:
                                        - key
                                      type: object
                                      x-kubernetes-map-type: atomic
                                    maxVersion:
                                      enum:
                                        - TLS10
                                        - TLS11
                                        - TLS12
                                        - TLS13
                                      type: string
                                    minVersion:
                                      enum:
                                        - TLS10
                                        - TLS11
                                        - TLS12
                                        - TLS13
                                      type: string
                                    serverName:
                                      type: string
                                  type: object
                              type: object
                            pagerDutyImageConfigs:
                              items:
                                properties:
                                  alt:
                                    type: string
                                  href:
                                    type: string
                                  src:
                                    type: string
                                type: object
                              type: array
                            pagerDutyLinkConfigs:
                              items:
                                properties:
                                  alt:
                                    type: string
                                  href:
                                    type: string
                                type: object
                              type: array
                            routingKey:
                              properties:
                                key:
                                  type: string
                                name:
                                  default: ""
                                  type: string
                                optional:
                                  type: boolean
                              required:
                                - key
                              type: object
                              x-kubernetes-map-type: atomic
                            sendResolved:
                              type: boolean
                            serviceKey:
                              properties:
                                key:
                                  type: string
                                name:
                                  default: ""
                                  type: string
                                optional:
                                  type: boolean
                              required:
                                - key
                              type: object
                              x-kubernetes-map-type: atomic
                            severity:
                              type: string
                            source:
                              type: string
                            url:
                              type: string
                          type: object
                        type: array
                      pushoverConfigs:
                        items:
                          properties:
                            device:
                              type: string
                            expire:
                              pattern: ^(([0-9]+)y)?(([0-9]+)w)?(([0-9]+)d)?(([0-9]+)h)?(([0-9]+)m)?(([0-9]+)s)?(([0-9]+)ms)?$
                              type: string
                            html:
                              type: boolean
                            httpConfig:
                              properties:
                                authorization:
                                  properties:
                                    credentials:
                                      properties:
                                        key:
                                          type: string
                                        name:
                                          default: ""
                                          type: string
                                        optional:
                                          type: boolean
                                      required:
                                        - key
                                      type: object
                                      x-kubernetes-map-type: atomic
                                    type:
                                      type: string
                                  type: object
                                basicAuth:
                                  properties:
                                    password:
                                      properties:
                                        key:
                                          type: string
                                        name:
                                          default: ""
                                          type: string
                                        optional:
                                          type: boolean
                                      required:
                                        - key
                                      type: object
                                      x-kubernetes-map-type: atomic
                                    username:
                                      properties:
                                        key:
                                          type: string
                                        name:
                                          default: ""
                                          type: string
                                        optional:
                                          type: boolean
                                      required:
                                        - key
                                      type: object
                                      x-kubernetes-map-type: atomic
                                  type: object
                                bearerTokenSecret:
                                  properties:
                                    key:
                                      type: string
                                    name:
                                      default: ""
                                      type: string
                                    optional:
                                      type: boolean
                                  required:
                                    - key
                                  type: object
                                  x-kubernetes-map-type: atomic
                                followRedirects:
                                  type: boolean
                                noProxy:
                                  type: string
                                oauth2:
                                  properties:
                                    clientId:
                                      properties:
                                        configMap:
                                          properties:
                                            key:
                                              type: string
                                            name:
                                              default: ""
                                              type: string
                                            optional:
                                              type: boolean
                                          required:
                                            - key
                                          type: object
                                          x-kubernetes-map-type: atomic
                                        secret:
                                          properties:
                                            key:
                                              type: string
                                            name:
                                              default: ""
                                              type: string
                                            optional:
                                              type: boolean
                                          required:
                                            - key
                                          type: object
                                          x-kubernetes-map-type: atomic
                                      type: object
                                    clientSecret:
                                      properties:
                                        key:
                                          type: string
                                        name:
                                          default: ""
                                          type: string
                                        optional:
                                          type: boolean
                                      required:
                                        - key
                                      type: object
                                      x-kubernetes-map-type: atomic
                                    endpointParams:
                                      additionalProperties:
                                        type: string
                                      type: object
                                    noProxy:
                                      type: string
                                    proxyConnectHeader:
                                      additionalProperties:
                                        items:
                                          properties:
                                            key:
                                              type: string
                                            name:
                                              default: ""
                                              type: string
                                            optional:
                                              type: boolean
                                          required:
                                            - key
                                          type: object
                                          x-kubernetes-map-type: atomic
                                        type: array
                                      type: object
                                      x-kubernetes-map-type: atomic
                                    proxyFromEnvironment:
                                      type: boolean
                                    proxyUrl:
                                      pattern: ^http(s)?://.+$
                                      type: string
                                    scopes:
                                      items:
                                        type: string
                                      type: array
                                    tlsConfig:
                                      properties:
                                        ca:
                                          properties:
                                            configMap:
                                              properties:
                                                key:
                                                  type: string
                                                name:
                                                  default: ""
                                                  type: string
                                                optional:
                                                  type: boolean
                                              required:
                                                - key
                                              type: object
                                              x-kubernetes-map-type: atomic
                                            secret:
                                              properties:
                                                key:
                                                  type: string
                                                name:
                                                  default: ""
                                                  type: string
                                                optional:
                                                  type: boolean
                                              required:
                                                - key
                                              type: object
                                              x-kubernetes-map-type: atomic
                                          type: object
                                        cert:
                                          properties:
                                            configMap:
                                              properties:
                                                key:
                                                  type: string
                                                name:
                                                  default: ""
                                                  type: string
                                                optional:
                                                  type: boolean
                                              required:
                                                - key
                                              type: object
                                              x-kubernetes-map-type: atomic
                                            secret:
                                              properties:
                                                key:
                                                  type: string
                                                name:
                                                  default: ""
                                                  type: string
                                                optional:
                                                  type: boolean
                                              required:
                                                - key
                                              type: object
                                              x-kubernetes-map-type: atomic
                                          type: object
                                        insecureSkipVerify:
                                          type: boolean
                                        keySecret:
                                          properties:
                                            key:
                                              type: string
                                            name:
                                              default: ""
                                              type: string
                                            optional:
                                              type: boolean
                                          required:
                                            - key
                                          type: object
                                          x-kubernetes-map-type: atomic
                                        maxVersion:
                                          enum:
                                            - TLS10
                                            - TLS11
                                            - TLS12
                                            - TLS13
                                          type: string
                                        minVersion:
                                          enum:
                                            - TLS10
                                            - TLS11
                                            - TLS12
                                            - TLS13
                                          type: string
                                        serverName:
                                          type: string
                                      type: object
                                    tokenUrl:
                                      minLength: 1
                                      type: string
                                  required:
                                    - clientId
                                    - clientSecret
                                    - tokenUrl
                                  type: object
                                proxyConnectHeader:
                                  additionalProperties:
                                    items:
                                      properties:
                                        key:
                                          type: string
                                        name:
                                          default: ""
                                          type: string
                                        optional:
                                          type: boolean
                                      required:
                                        - key
                                      type: object
                                      x-kubernetes-map-type: atomic
                                    type: array
                                  type: object
                                  x-kubernetes-map-type: atomic
                                proxyFromEnvironment:
                                  type: boolean
                                proxyURL:
                                  type: string
                                proxyUrl:
                                  pattern: ^http(s)?://.+$
                                  type: string
                                tlsConfig:
                                  properties:
                                    ca:
                                      properties:
                                        configMap:
                                          properties:
                                            key:
                                              type: string
                                            name:
                                              default: ""
                                              type: string
                                            optional:
                                              type: boolean
                                          required:
                                            - key
                                          type: object
                                          x-kubernetes-map-type: atomic
                                        secret:
                                          properties:
                                            key:
                                              type: string
                                            name:
                                              default: ""
                                              type: string
                                            optional:
                                              type: boolean
                                          required:
                                            - key
                                          type: object
                                          x-kubernetes-map-type: atomic
                                      type: object
                                    cert:
                                      properties:
                                        configMap:
                                          properties:
                                            key:
                                              type: string
                                            name:
                                              default: ""
                                              type: string
                                            optional:
                                              type: boolean
                                          required:
                                            - key
                                          type: object
                                          x-kubernetes-map-type: atomic
                                        secret:
                                          properties:
                                            key:
                                              type: string
                                            name:
                                              default: ""
                                              type: string
                                            optional:
                                              type: boolean
                                          required:
                                            - key
                                          type: object
                                          x-kubernetes-map-type: atomic
                                      type: object
                                    insecureSkipVerify:
                                      type: boolean
                                    keySecret:
                                      properties:
                                        key:
                                          type: string
                                        name:
                                          default: ""
                                          type: string
                                        optional:
                                          type: boolean
                                      required:
                                        - key
                                      type: object
                                      x-kubernetes-map-type: atomic
                                    maxVersion:
                                      enum:
                                        - TLS10
                                        - TLS11
                                        - TLS12
                                        - TLS13
                                      type: string
                                    minVersion:
                                      enum:
                                        - TLS10
                                        - TLS11
                                        - TLS12
                                        - TLS13
                                      type: string
                                    serverName:
                                      type: string
                                  type: object
                              type: object
                            message:
                              type: string
                            priority:
                              type: string
                            retry:
                              pattern: ^(([0-9]+)y)?(([0-9]+)w)?(([0-9]+)d)?(([0-9]+)h)?(([0-9]+)m)?(([0-9]+)s)?(([0-9]+)ms)?$
                              type: string
                            sendResolved:
                              type: boolean
                            sound:
                              type: string
                            title:
                              type: string
                            token:
                              properties:
                                key:
                                  type: string
                                name:
                                  default: ""
                                  type: string
                                optional:
                                  type: boolean
                              required:
                                - key
                              type: object
                              x-kubernetes-map-type: atomic
                            tokenFile:
                              type: string
                            ttl:
                              pattern: ^(0|(([0-9]+)y)?(([0-9]+)w)?(([0-9]+)d)?(([0-9]+)h)?(([0-9]+)m)?(([0-9]+)s)?(([0-9]+)ms)?)$
                              type: string
                            url:
                              type: string
                            urlTitle:
                              type: string
                            userKey:
                              properties:
                                key:
                                  type: string
                                name:
                                  default: ""
                                  type: string
                                optional:
                                  type: boolean
                              required:
                                - key
                              type: object
                              x-kubernetes-map-type: atomic
                            userKeyFile:
                              type: string
                          type: object
                        type: array
                      slackConfigs:
                        items:
                          properties:
                            actions:
                              items:
                                properties:
                                  confirm:
                                    properties:
                                      dismissText:
                                        type: string
                                      okText:
                                        type: string
                                      text:
                                        minLength: 1
                                        type: string
                                      title:
                                        type: string
                                    required:
                                      - text
                                    type: object
                                  name:
                                    type: string
                                  style:
                                    type: string
                                  text:
                                    minLength: 1
                                    type: string
                                  type:
                                    minLength: 1
                                    type: string
                                  url:
                                    type: string
                                  value:
                                    type: string
                                required:
                                  - text
                                  - type
                                type: object
                              type: array
                            apiURL:
                              properties:
                                key:
                                  type: string
                                name:
                                  default: ""
                                  type: string
                                optional:
                                  type: boolean
                              required:
                                - key
                              type: object
                              x-kubernetes-map-type: atomic
                            callbackId:
                              type: string
                            channel:
                              type: string
                            color:
                              type: string
                            fallback:
                              type: string
                            fields:
                              items:
                                properties:
                                  short:
                                    type: boolean
                                  title:
                                    minLength: 1
                                    type: string
                                  value:
                                    minLength: 1
                                    type: string
                                required:
                                  - title
                                  - value
                                type: object
                              type: array
                            footer:
                              type: string
                            httpConfig:
                              properties:
                                authorization:
                                  properties:
                                    credentials:
                                      properties:
                                        key:
                                          type: string
                                        name:
                                          default: ""
                                          type: string
                                        optional:
                                          type: boolean
                                      required:
                                        - key
                                      type: object
                                      x-kubernetes-map-type: atomic
                                    type:
                                      type: string
                                  type: object
                                basicAuth:
                                  properties:
                                    password:
                                      properties:
                                        key:
                                          type: string
                                        name:
                                          default: ""
                                          type: string
                                        optional:
                                          type: boolean
                                      required:
                                        - key
                                      type: object
                                      x-kubernetes-map-type: atomic
                                    username:
                                      properties:
                                        key:
                                          type: string
                                        name:
                                          default: ""
                                          type: string
                                        optional:
                                          type: boolean
                                      required:
                                        - key
                                      type: object
                                      x-kubernetes-map-type: atomic
                                  type: object
                                bearerTokenSecret:
                                  properties:
                                    key:
                                      type: string
                                    name:
                                      default: ""
                                      type: string
                                    optional:
                                      type: boolean
                                  required:
                                    - key
                                  type: object
                                  x-kubernetes-map-type: atomic
                                followRedirects:
                                  type: boolean
                                noProxy:
                                  type: string
                                oauth2:
                                  properties:
                                    clientId:
                                      properties:
                                        configMap:
                                          properties:
                                            key:
                                              type: string
                                            name:
                                              default: ""
                                              type: string
                                            optional:
                                              type: boolean
                                          required:
                                            - key
                                          type: object
                                          x-kubernetes-map-type: atomic
                                        secret:
                                          properties:
                                            key:
                                              type: string
                                            name:
                                              default: ""
                                              type: string
                                            optional:
                                              type: boolean
                                          required:
                                            - key
                                          type: object
                                          x-kubernetes-map-type: atomic
                                      type: object
                                    clientSecret:
                                      properties:
                                        key:
                                          type: string
                                        name:
                                          default: ""
                                          type: string
                                        optional:
                                          type: boolean
                                      required:
                                        - key
                                      type: object
                                      x-kubernetes-map-type: atomic
                                    endpointParams:
                                      additionalProperties:
                                        type: string
                                      type: object
                                    noProxy:
                                      type: string
                                    proxyConnectHeader:
                                      additionalProperties:
                                        items:
                                          properties:
                                            key:
                                              type: string
                                            name:
                                              default: ""
                                              type: string
                                            optional:
                                              type: boolean
                                          required:
                                            - key
                                          type: object
                                          x-kubernetes-map-type: atomic
                                        type: array
                                      type: object
                                      x-kubernetes-map-type: atomic
                                    proxyFromEnvironment:
                                      type: boolean
                                    proxyUrl:
                                      pattern: ^http(s)?://.+$
                                      type: string
                                    scopes:
                                      items:
                                        type: string
                                      type: array
                                    tlsConfig:
                                      properties:
                                        ca:
                                          properties:
                                            configMap:
                                              properties:
                                                key:
                                                  type: string
                                                name:
                                                  default: ""
                                                  type: string
                                                optional:
                                                  type: boolean
                                              required:
                                                - key
                                              type: object
                                              x-kubernetes-map-type: atomic
                                            secret:
                                              properties:
                                                key:
                                                  type: string
                                                name:
                                                  default: ""
                                                  type: string
                                                optional:
                                                  type: boolean
                                              required:
                                                - key
                                              type: object
                                              x-kubernetes-map-type: atomic
                                          type: object
                                        cert:
                                          properties:
                                            configMap:
                                              properties:
                                                key:
                                                  type: string
                                                name:
                                                  default: ""
                                                  type: string
                                                optional:
                                                  type: boolean
                                              required:
                                                - key
                                              type: object
                                              x-kubernetes-map-type: atomic
                                            secret:
                                              properties:
                                                key:
                                                  type: string
                                                name:
                                                  default: ""
                                                  type: string
                                                optional:
                                                  type: boolean
                                              required:
                                                - key
                                              type: object
                                              x-kubernetes-map-type: atomic
                                          type: object
                                        insecureSkipVerify:
                                          type: boolean
                                        keySecret:
                                          properties:
                                            key:
                                              type: string
                                            name:
                                              default: ""
                                              type: string
                                            optional:
                                              type: boolean
                                          required:
                                            - key
                                          type: object
                                          x-kubernetes-map-type: atomic
                                        maxVersion:
                                          enum:
                                            - TLS10
                                            - TLS11
                                            - TLS12
                                            - TLS13
                                          type: string
                                        minVersion:
                                          enum:
                                            - TLS10
                                            - TLS11
                                            - TLS12
                                            - TLS13
                                          type: string
                                        serverName:
                                          type: string
                                      type: object
                                    tokenUrl:
                                      minLength: 1
                                      type: string
                                  required:
                                    - clientId
                                    - clientSecret
                                    - tokenUrl
                                  type: object
                                proxyConnectHeader:
                                  additionalProperties:
                                    items:
                                      properties:
                                        key:
                                          type: string
                                        name:
                                          default: ""
                                          type: string
                                        optional:
                                          type: boolean
                                      required:
                                        - key
                                      type: object
                                      x-kubernetes-map-type: atomic
                                    type: array
                                  type: object
                                  x-kubernetes-map-type: atomic
                                proxyFromEnvironment:
                                  type: boolean
                                proxyURL:
                                  type: string
                                proxyUrl:
                                  pattern: ^http(s)?://.+$
                                  type: string
                                tlsConfig:
                                  properties:
                                    ca:
                                      properties:
                                        configMap:
                                          properties:
                                            key:
                                              type: string
                                            name:
                                              default: ""
                                              type: string
                                            optional:
                                              type: boolean
                                          required:
                                            - key
                                          type: object
                                          x-kubernetes-map-type: atomic
                                        secret:
                                          properties:
                                            key:
                                              type: string
                                            name:
                                              default: ""
                                              type: string
                                            optional:
                                              type: boolean
                                          required:
                                            - key
                                          type: object
                                          x-kubernetes-map-type: atomic
                                      type: object
                                    cert:
                                      properties:
                                        configMap:
                                          properties:
                                            key:
                                              type: string
                                            name:
                                              default: ""
                                              type: string
                                            optional:
                                              type: boolean
                                          required:
                                            - key
                                          type: object
                                          x-kubernetes-map-type: atomic
                                        secret:
                                          properties:
                                            key:
                                              type: string
                                            name:
                                              default: ""
                                              type: string
                                            optional:
                                              type: boolean
                                          required:
                                            - key
                                          type: object
                                          x-kubernetes-map-type: atomic
                                      type: object
                                    insecureSkipVerify:
                                      type: boolean
                                    keySecret:
                                      properties:
                                        key:
                                          type: string
                                        name:
                                          default: ""
                                          type: string
                                        optional:
                                          type: boolean
                                      required:
                                        - key
                                      type: object
                                      x-kubernetes-map-type: atomic
                                    maxVersion:
                                      enum:
                                        - TLS10
                                        - TLS11
                                        - TLS12
                                        - TLS13
                                      type: string
                                    minVersion:
                                      enum:
                                        - TLS10
                                        - TLS11
                                        - TLS12
                                        - TLS13
                                      type: string
                                    serverName:
                                      type: string
                                  type: object
                              type: object
                            iconEmoji:
                              type: string
                            iconURL:
                              type: string
                            imageURL:
                              type: string
                            linkNames:
                              type: boolean
                            mrkdwnIn:
                              items:
                                type: string
                              type: array
                            pretext:
                              type: string
                            sendResolved:
                              type: boolean
                            shortFields:
                              type: boolean
                            text:
                              type: string
                            thumbURL:
                              type: string
                            title:
                              type: string
                            titleLink:
                              type: string
                            username:
                              type: string
                          type: object
                        type: array
                      snsConfigs:
                        items:
                          properties:
                            apiURL:
                              type: string
                            attributes:
                              additionalProperties:
                                type: string
                              type: object
                            httpConfig:
                              properties:
                                authorization:
                                  properties:
                                    credentials:
                                      properties:
                                        key:
                                          type: string
                                        name:
                                          default: ""
                                          type: string
                                        optional:
                                          type: boolean
                                      required:
                                        - key
                                      type: object
                                      x-kubernetes-map-type: atomic
                                    type:
                                      type: string
                                  type: object
                                basicAuth:
                                  properties:
                                    password:
                                      properties:
                                        key:
                                          type: string
                                        name:
                                          default: ""
                                          type: string
                                        optional:
                                          type: boolean
                                      required:
                                        - key
                                      type: object
                                      x-kubernetes-map-type: atomic
                                    username:
                                      properties:
                                        key:
                                          type: string
                                        name:
                                          default: ""
                                          type: string
                                        optional:
                                          type: boolean
                                      required:
                                        - key
                                      type: object
                                      x-kubernetes-map-type: atomic
                                  type: object
                                bearerTokenSecret:
                                  properties:
                                    key:
                                      type: string
                                    name:
                                      default: ""
                                      type: string
                                    optional:
                                      type: boolean
                                  required:
                                    - key
                                  type: object
                                  x-kubernetes-map-type: atomic
                                followRedirects:
                                  type: boolean
                                noProxy:
                                  type: string
                                oauth2:
                                  properties:
                                    clientId:
                                      properties:
                                        configMap:
                                          properties:
                                            key:
                                              type: string
                                            name:
                                              default: ""
                                              type: string
                                            optional:
                                              type: boolean
                                          required:
                                            - key
                                          type: object
                                          x-kubernetes-map-type: atomic
                                        secret:
                                          properties:
                                            key:
                                              type: string
                                            name:
                                              default: ""
                                              type: string
                                            optional:
                                              type: boolean
                                          required:
                                            - key
                                          type: object
                                          x-kubernetes-map-type: atomic
                                      type: object
                                    clientSecret:
                                      properties:
                                        key:
                                          type: string
                                        name:
                                          default: ""
                                          type: string
                                        optional:
                                          type: boolean
                                      required:
                                        - key
                                      type: object
                                      x-kubernetes-map-type: atomic
                                    endpointParams:
                                      additionalProperties:
                                        type: string
                                      type: object
                                    noProxy:
                                      type: string
                                    proxyConnectHeader:
                                      additionalProperties:
                                        items:
                                          properties:
                                            key:
                                              type: string
                                            name:
                                              default: ""
                                              type: string
                                            optional:
                                              type: boolean
                                          required:
                                            - key
                                          type: object
                                          x-kubernetes-map-type: atomic
                                        type: array
                                      type: object
                                      x-kubernetes-map-type: atomic
                                    proxyFromEnvironment:
                                      type: boolean
                                    proxyUrl:
                                      pattern: ^http(s)?://.+$
                                      type: string
                                    scopes:
                                      items:
                                        type: string
                                      type: array
                                    tlsConfig:
                                      properties:
                                        ca:
                                          properties:
                                            configMap:
                                              properties:
                                                key:
                                                  type: string
                                                name:
                                                  default: ""
                                                  type: string
                                                optional:
                                                  type: boolean
                                              required:
                                                - key
                                              type: object
                                              x-kubernetes-map-type: atomic
                                            secret:
                                              properties:
                                                key:
                                                  type: string
                                                name:
                                                  default: ""
                                                  type: string
                                                optional:
                                                  type: boolean
                                              required:
                                                - key
                                              type: object
                                              x-kubernetes-map-type: atomic
                                          type: object
                                        cert:
                                          properties:
                                            configMap:
                                              properties:
                                                key:
                                                  type: string
                                                name:
                                                  default: ""
                                                  type: string
                                                optional:
                                                  type: boolean
                                              required:
                                                - key
                                              type: object
                                              x-kubernetes-map-type: atomic
                                            secret:
                                              properties:
                                                key:
                                                  type: string
                                                name:
                                                  default: ""
                                                  type: string
                                                optional:
                                                  type: boolean
                                              required:
                                                - key
                                              type: object
                                              x-kubernetes-map-type: atomic
                                          type: object
                                        insecureSkipVerify:
                                          type: boolean
                                        keySecret:
                                          properties:
                                            key:
                                              type: string
                                            name:
                                              default: ""
                                              type: string
                                            optional:
                                              type: boolean
                                          required:
                                            - key
                                          type: object
                                          x-kubernetes-map-type: atomic
                                        maxVersion:
                                          enum:
                                            - TLS10
                                            - TLS11
                                            - TLS12
                                            - TLS13
                                          type: string
                                        minVersion:
                                          enum:
                                            - TLS10
                                            - TLS11
                                            - TLS12
                                            - TLS13
                                          type: string
                                        serverName:
                                          type: string
                                      type: object
                                    tokenUrl:
                                      minLength: 1
                                      type: string
                                  required:
                                    - clientId
                                    - clientSecret
                                    - tokenUrl
                                  type: object
                                proxyConnectHeader:
                                  additionalProperties:
                                    items:
                                      properties:
                                        key:
                                          type: string
                                        name:
                                          default: ""
                                          type: string
                                        optional:
                                          type: boolean
                                      required:
                                        - key
                                      type: object
                                      x-kubernetes-map-type: atomic
                                    type: array
                                  type: object
                                  x-kubernetes-map-type: atomic
                                proxyFromEnvironment:
                                  type: boolean
                                proxyURL:
                                  type: string
                                proxyUrl:
                                  pattern: ^http(s)?://.+$
                                  type: string
                                tlsConfig:
                                  properties:
                                    ca:
                                      properties:
                                        configMap:
                                          properties:
                                            key:
                                              type: string
                                            name:
                                              default: ""
                                              type: string
                                            optional:
                                              type: boolean
                                          required:
                                            - key
                                          type: object
                                          x-kubernetes-map-type: atomic
                                        secret:
                                          properties:
                                            key:
                                              type: string
                                            name:
                                              default: ""
                                              type: string
                                            optional:
                                              type: boolean
                                          required:
                                            - key
                                          type: object
                                          x-kubernetes-map-type: atomic
                                      type: object
                                    cert:
                                      properties:
                                        configMap:
                                          properties:
                                            key:
                                              type: string
                                            name:
                                              default: ""
                                              type: string
                                            optional:
                                              type: boolean
                                          required:
                                            - key
                                          type: object
                                          x-kubernetes-map-type: atomic
                                        secret:
                                          properties:
                                            key:
                                              type: string
                                            name:
                                              default: ""
                                              type: string
                                            optional:
                                              type: boolean
                                          required:
                                            - key
                                          type: object
                                          x-kubernetes-map-type: atomic
                                      type: object
                                    insecureSkipVerify:
                                      type: boolean
                                    keySecret:
                                      properties:
                                        key:
                                          type: string
                                        name:
                                          default: ""
                                          type: string
                                        optional:
                                          type: boolean
                                      required:
                                        - key
                                      type: object
                                      x-kubernetes-map-type: atomic
                                    maxVersion:
                                      enum:
                                        - TLS10
                                        - TLS11
                                        - TLS12
                                        - TLS13
                                      type: string
                                    minVersion:
                                      enum:
                                        - TLS10
                                        - TLS11
                                        - TLS12
                                        - TLS13
                                      type: string
                                    serverName:
                                      type: string
                                  type: object
                              type: object
                            message:
                              type: string
                            phoneNumber:
                              type: string
                            sendResolved:
                              type: boolean
                            sigv4:
                              properties:
                                accessKey:
                                  properties:
                                    key:
                                      type: string
                                    name:
                                      default: ""
                                      type: string
                                    optional:
                                      type: boolean
                                  required:
                                    - key
                                  type: object
                                  x-kubernetes-map-type: atomic
                                profile:
                                  type: string
                                region:
                                  type: string
                                roleArn:
                                  type: string
                                secretKey:
                                  properties:
                                    key:
                                      type: string
                                    name:
                                      default: ""
                                      type: string
                                    optional:
                                      type: boolean
                                  required:
                                    - key
                                  type: object
                                  x-kubernetes-map-type: atomic
                              type: object
                            subject:
                              type: string
                            targetARN:
                              type: string
                            topicARN:
                              type: string
                          type: object
                        type: array
                      telegramConfigs:
                        items:
                          properties:
                            apiURL:
                              type: string
                            botToken:
                              properties:
                                key:
                                  type: string
                                name:
                                  default: ""
                                  type: string
                                optional:
                                  type: boolean
                              required:
                                - key
                              type: object
                              x-kubernetes-map-type: atomic
                            botTokenFile:
                              type: string
                            chatID:
                              format: int64
                              type: integer
                            disableNotifications:
                              type: boolean
                            httpConfig:
                              properties:
                                authorization:
                                  properties:
                                    credentials:
                                      properties:
                                        key:
                                          type: string
                                        name:
                                          default: ""
                                          type: string
                                        optional:
                                          type: boolean
                                      required:
                                        - key
                                      type: object
                                      x-kubernetes-map-type: atomic
                                    type:
                                      type: string
                                  type: object
                                basicAuth:
                                  properties:
                                    password:
                                      properties:
                                        key:
                                          type: string
                                        name:
                                          default: ""
                                          type: string
                                        optional:
                                          type: boolean
                                      required:
                                        - key
                                      type: object
                                      x-kubernetes-map-type: atomic
                                    username:
                                      properties:
                                        key:
                                          type: string
                                        name:
                                          default: ""
                                          type: string
                                        optional:
                                          type: boolean
                                      required:
                                        - key
                                      type: object
                                      x-kubernetes-map-type: atomic
                                  type: object
                                bearerTokenSecret:
                                  properties:
                                    key:
                                      type: string
                                    name:
                                      default: ""
                                      type: string
                                    optional:
                                      type: boolean
                                  required:
                                    - key
                                  type: object
                                  x-kubernetes-map-type: atomic
                                followRedirects:
                                  type: boolean
                                noProxy:
                                  type: string
                                oauth2:
                                  properties:
                                    clientId:
                                      properties:
                                        configMap:
                                          properties:
                                            key:
                                              type: string
                                            name:
                                              default: ""
                                              type: string
                                            optional:
                                              type: boolean
                                          required:
                                            - key
                                          type: object
                                          x-kubernetes-map-type: atomic
                                        secret:
                                          properties:
                                            key:
                                              type: string
                                            name:
                                              default: ""
                                              type: string
                                            optional:
                                              type: boolean
                                          required:
                                            - key
                                          type: object
                                          x-kubernetes-map-type: atomic
                                      type: object
                                    clientSecret:
                                      properties:
                                        key:
                                          type: string
                                        name:
                                          default: ""
                                          type: string
                                        optional:
                                          type: boolean
                                      required:
                                        - key
                                      type: object
                                      x-kubernetes-map-type: atomic
                                    endpointParams:
                                      additionalProperties:
                                        type: string
                                      type: object
                                    noProxy:
                                      type: string
                                    proxyConnectHeader:
                                      additionalProperties:
                                        items:
                                          properties:
                                            key:
                                              type: string
                                            name:
                                              default: ""
                                              type: string
                                            optional:
                                              type: boolean
                                          required:
                                            - key
                                          type: object
                                          x-kubernetes-map-type: atomic
                                        type: array
                                      type: object
                                      x-kubernetes-map-type: atomic
                                    proxyFromEnvironment:
                                      type: boolean
                                    proxyUrl:
                                      pattern: ^http(s)?://.+$
                                      type: string
                                    scopes:
                                      items:
                                        type: string
                                      type: array
                                    tlsConfig:
                                      properties:
                                        ca:
                                          properties:
                                            configMap:
                                              properties:
                                                key:
                                                  type: string
                                                name:
                                                  default: ""
                                                  type: string
                                                optional:
                                                  type: boolean
                                              required:
                                                - key
                                              type: object
                                              x-kubernetes-map-type: atomic
                                            secret:
                                              properties:
                                                key:
                                                  type: string
                                                name:
                                                  default: ""
                                                  type: string
                                                optional:
                                                  type: boolean
                                              required:
                                                - key
                                              type: object
                                              x-kubernetes-map-type: atomic
                                          type: object
                                        cert:
                                          properties:
                                            configMap:
                                              properties:
                                                key:
                                                  type: string
                                                name:
                                                  default: ""
                                                  type: string
                                                optional:
                                                  type: boolean
                                              required:
                                                - key
                                              type: object
                                              x-kubernetes-map-type: atomic
                                            secret:
                                              properties:
                                                key:
                                                  type: string
                                                name:
                                                  default: ""
                                                  type: string
                                                optional:
                                                  type: boolean
                                              required:
                                                - key
                                              type: object
                                              x-kubernetes-map-type: atomic
                                          type: object
                                        insecureSkipVerify:
                                          type: boolean
                                        keySecret:
                                          properties:
                                            key:
                                              type: string
                                            name:
                                              default: ""
                                              type: string
                                            optional:
                                              type: boolean
                                          required:
                                            - key
                                          type: object
                                          x-kubernetes-map-type: atomic
                                        maxVersion:
                                          enum:
                                            - TLS10
                                            - TLS11
                                            - TLS12
                                            - TLS13
                                          type: string
                                        minVersion:
                                          enum:
                                            - TLS10
                                            - TLS11
                                            - TLS12
                                            - TLS13
                                          type: string
                                        serverName:
                                          type: string
                                      type: object
                                    tokenUrl:
                                      minLength: 1
                                      type: string
                                  required:
                                    - clientId
                                    - clientSecret
                                    - tokenUrl
                                  type: object
                                proxyConnectHeader:
                                  additionalProperties:
                                    items:
                                      properties:
                                        key:
                                          type: string
                                        name:
                                          default: ""
                                          type: string
                                        optional:
                                          type: boolean
                                      required:
                                        - key
                                      type: object
                                      x-kubernetes-map-type: atomic
                                    type: array
                                  type: object
                                  x-kubernetes-map-type: atomic
                                proxyFromEnvironment:
                                  type: boolean
                                proxyURL:
                                  type: string
                                proxyUrl:
                                  pattern: ^http(s)?://.+$
                                  type: string
                                tlsConfig:
                                  properties:
                                    ca:
                                      properties:
                                        configMap:
                                          properties:
                                            key:
                                              type: string
                                            name:
                                              default: ""
                                              type: string
                                            optional:
                                              type: boolean
                                          required:
                                            - key
                                          type: object
                                          x-kubernetes-map-type: atomic
                                        secret:
                                          properties:
                                            key:
                                              type: string
                                            name:
                                              default: ""
                                              type: string
                                            optional:
                                              type: boolean
                                          required:
                                            - key
                                          type: object
                                          x-kubernetes-map-type: atomic
                                      type: object
                                    cert:
                                      properties:
                                        configMap:
                                          properties:
                                            key:
                                              type: string
                                            name:
                                              default: ""
                                              type: string
                                            optional:
                                              type: boolean
                                          required:
                                            - key
                                          type: object
                                          x-kubernetes-map-type: atomic
                                        secret:
                                          properties:
                                            key:
                                              type: string
                                            name:
                                              default: ""
                                              type: string
                                            optional:
                                              type: boolean
                                          required:
                                            - key
                                          type: object
                                          x-kubernetes-map-type: atomic
                                      type: object
                                    insecureSkipVerify:
                                      type: boolean
                                    keySecret:
                                      properties:
                                        key:
                                          type: string
                                        name:
                                          default: ""
                                          type: string
                                        optional:
                                          type: boolean
                                      required:
                                        - key
                                      type: object
                                      x-kubernetes-map-type: atomic
                                    maxVersion:
                                      enum:
                                        - TLS10
                                        - TLS11
                                        - TLS12
                                        - TLS13
                                      type: string
                                    minVersion:
                                      enum:
                                        - TLS10
                                        - TLS11
                                        - TLS12
                                        - TLS13
                                      type: string
                                    serverName:
                                      type: string
                                  type: object
                              type: object
                            message:
                              type: string
                            messageThreadID:
                              format: int64
                              type: integer
                            parseMode:
                              enum:
                                - MarkdownV2
                                - Markdown
                                - HTML
                              type: string
                            sendResolved:
                              type: boolean
                          required:
                            - chatID
                          type: object
                        type: array
                      victoropsConfigs:
                        items:
                          properties:
                            apiKey:
                              properties:
                                key:
                                  type: string
                                name:
                                  default: ""
                                  type: string
                                optional:
                                  type: boolean
                              required:
                                - key
                              type: object
                              x-kubernetes-map-type: atomic
                            apiUrl:
                              type: string
                            customFields:
                              items:
                                properties:
                                  key:
                                    minLength: 1
                                    type: string
                                  value:
                                    type: string
                                required:
                                  - key
                                  - value
                                type: object
                              type: array
                            entityDisplayName:
                              type: string
                            httpConfig:
                              properties:
                                authorization:
                                  properties:
                                    credentials:
                                      properties:
                                        key:
                                          type: string
                                        name:
                                          default: ""
                                          type: string
                                        optional:
                                          type: boolean
                                      required:
                                        - key
                                      type: object
                                      x-kubernetes-map-type: atomic
                                    type:
                                      type: string
                                  type: object
                                basicAuth:
                                  properties:
                                    password:
                                      properties:
                                        key:
                                          type: string
                                        name:
                                          default: ""
                                          type: string
                                        optional:
                                          type: boolean
                                      required:
                                        - key
                                      type: object
                                      x-kubernetes-map-type: atomic
                                    username:
                                      properties:
                                        key:
                                          type: string
                                        name:
                                          default: ""
                                          type: string
                                        optional:
                                          type: boolean
                                      required:
                                        - key
                                      type: object
                                      x-kubernetes-map-type: atomic
                                  type: object
                                bearerTokenSecret:
                                  properties:
                                    key:
                                      type: string
                                    name:
                                      default: ""
                                      type: string
                                    optional:
                                      type: boolean
                                  required:
                                    - key
                                  type: object
                                  x-kubernetes-map-type: atomic
                                followRedirects:
                                  type: boolean
                                noProxy:
                                  type: string
                                oauth2:
                                  properties:
                                    clientId:
                                      properties:
                                        configMap:
                                          properties:
                                            key:
                                              type: string
                                            name:
                                              default: ""
                                              type: string
                                            optional:
                                              type: boolean
                                          required:
                                            - key
                                          type: object
                                          x-kubernetes-map-type: atomic
                                        secret:
                                          properties:
                                            key:
                                              type: string
                                            name:
                                              default: ""
                                              type: string
                                            optional:
                                              type: boolean
                                          required:
                                            - key
                                          type: object
                                          x-kubernetes-map-type: atomic
                                      type: object
                                    clientSecret:
                                      properties:
                                        key:
                                          type: string
                                        name:
                                          default: ""
                                          type: string
                                        optional:
                                          type: boolean
                                      required:
                                        - key
                                      type: object
                                      x-kubernetes-map-type: atomic
                                    endpointParams:
                                      additionalProperties:
                                        type: string
                                      type: object
                                    noProxy:
                                      type: string
                                    proxyConnectHeader:
                                      additionalProperties:
                                        items:
                                          properties:
                                            key:
                                              type: string
                                            name:
                                              default: ""
                                              type: string
                                            optional:
                                              type: boolean
                                          required:
                                            - key
                                          type: object
                                          x-kubernetes-map-type: atomic
                                        type: array
                                      type: object
                                      x-kubernetes-map-type: atomic
                                    proxyFromEnvironment:
                                      type: boolean
                                    proxyUrl:
                                      pattern: ^http(s)?://.+$
                                      type: string
                                    scopes:
                                      items:
                                        type: string
                                      type: array
                                    tlsConfig:
                                      properties:
                                        ca:
                                          properties:
                                            configMap:
                                              properties:
                                                key:
                                                  type: string
                                                name:
                                                  default: ""
                                                  type: string
                                                optional:
                                                  type: boolean
                                              required:
                                                - key
                                              type: object
                                              x-kubernetes-map-type: atomic
                                            secret:
                                              properties:
                                                key:
                                                  type: string
                                                name:
                                                  default: ""
                                                  type: string
                                                optional:
                                                  type: boolean
                                              required:
                                                - key
                                              type: object
                                              x-kubernetes-map-type: atomic
                                          type: object
                                        cert:
                                          properties:
                                            configMap:
                                              properties:
                                                key:
                                                  type: string
                                                name:
                                                  default: ""
                                                  type: string
                                                optional:
                                                  type: boolean
                                              required:
                                                - key
                                              type: object
                                              x-kubernetes-map-type: atomic
                                            secret:
                                              properties:
                                                key:
                                                  type: string
                                                name:
                                                  default: ""
                                                  type: string
                                                optional:
                                                  type: boolean
                                              required:
                                                - key
                                              type: object
                                              x-kubernetes-map-type: atomic
                                          type: object
                                        insecureSkipVerify:
                                          type: boolean
                                        keySecret:
                                          properties:
                                            key:
                                              type: string
                                            name:
                                              default: ""
                                              type: string
                                            optional:
                                              type: boolean
                                          required:
                                            - key
                                          type: object
                                          x-kubernetes-map-type: atomic
                                        maxVersion:
                                          enum:
                                            - TLS10
                                            - TLS11
                                            - TLS12
                                            - TLS13
                                          type: string
                                        minVersion:
                                          enum:
                                            - TLS10
                                            - TLS11
                                            - TLS12
                                            - TLS13
                                          type: string
                                        serverName:
                                          type: string
                                      type: object
                                    tokenUrl:
                                      minLength: 1
                                      type: string
                                  required:
                                    - clientId
                                    - clientSecret
                                    - tokenUrl
                                  type: object
                                proxyConnectHeader:
                                  additionalProperties:
                                    items:
                                      properties:
                                        key:
                                          type: string
                                        name:
                                          default: ""
                                          type: string
                                        optional:
                                          type: boolean
                                      required:
                                        - key
                                      type: object
                                      x-kubernetes-map-type: atomic
                                    type: array
                                  type: object
                                  x-kubernetes-map-type: atomic
                                proxyFromEnvironment:
                                  type: boolean
                                proxyURL:
                                  type: string
                                proxyUrl:
                                  pattern: ^http(s)?://.+$
                                  type: string
                                tlsConfig:
                                  properties:
                                    ca:
                                      properties:
                                        configMap:
                                          properties:
                                            key:
                                              type: string
                                            name:
                                              default: ""
                                              type: string
                                            optional:
                                              type: boolean
                                          required:
                                            - key
                                          type: object
                                          x-kubernetes-map-type: atomic
                                        secret:
                                          properties:
                                            key:
                                              type: string
                                            name:
                                              default: ""
                                              type: string
                                            optional:
                                              type: boolean
                                          required:
                                            - key
                                          type: object
                                          x-kubernetes-map-type: atomic
                                      type: object
                                    cert:
                                      properties:
                                        configMap:
                                          properties:
                                            key:
                                              type: string
                                            name:
                                              default: ""
                                              type: string
                                            optional:
                                              type: boolean
                                          required:
                                            - key
                                          type: object
                                          x-kubernetes-map-type: atomic
                                        secret:
                                          properties:
                                            key:
                                              type: string
                                            name:
                                              default: ""
                                              type: string
                                            optional:
                                              type: boolean
                                          required:
                                            - key
                                          type: object
                                          x-kubernetes-map-type: atomic
                                      type: object
                                    insecureSkipVerify:
                                      type: boolean
                                    keySecret:
                                      properties:
                                        key:
                                          type: string
                                        name:
                                          default: ""
                                          type: string
                                        optional:
                                          type: boolean
                                      required:
                                        - key
                                      type: object
                                      x-kubernetes-map-type: atomic
                                    maxVersion:
                                      enum:
                                        - TLS10
                                        - TLS11
                                        - TLS12
                                        - TLS13
                                      type: string
                                    minVersion:
                                      enum:
                                        - TLS10
                                        - TLS11
                                        - TLS12
                                        - TLS13
                                      type: string
                                    serverName:
                                      type: string
                                  type: object
                              type: object
                            messageType:
                              type: string
                            monitoringTool:
                              type: string
                            routingKey:
                              type: string
                            sendResolved:
                              type: boolean
                            stateMessage:
                              type: string
                          type: object
                        type: array
                      webexConfigs:
                        items:
                          properties:
                            apiURL:
                              pattern: ^https?://.+$
                              type: string
                            httpConfig:
                              properties:
                                authorization:
                                  properties:
                                    credentials:
                                      properties:
                                        key:
                                          type: string
                                        name:
                                          default: ""
                                          type: string
                                        optional:
                                          type: boolean
                                      required:
                                        - key
                                      type: object
                                      x-kubernetes-map-type: atomic
                                    type:
                                      type: string
                                  type: object
                                basicAuth:
                                  properties:
                                    password:
                                      properties:
                                        key:
                                          type: string
                                        name:
                                          default: ""
                                          type: string
                                        optional:
                                          type: boolean
                                      required:
                                        - key
                                      type: object
                                      x-kubernetes-map-type: atomic
                                    username:
                                      properties:
                                        key:
                                          type: string
                                        name:
                                          default: ""
                                          type: string
                                        optional:
                                          type: boolean
                                      required:
                                        - key
                                      type: object
                                      x-kubernetes-map-type: atomic
                                  type: object
                                bearerTokenSecret:
                                  properties:
                                    key:
                                      type: string
                                    name:
                                      default: ""
                                      type: string
                                    optional:
                                      type: boolean
                                  required:
                                    - key
                                  type: object
                                  x-kubernetes-map-type: atomic
                                followRedirects:
                                  type: boolean
                                noProxy:
                                  type: string
                                oauth2:
                                  properties:
                                    clientId:
                                      properties:
                                        configMap:
                                          properties:
                                            key:
                                              type: string
                                            name:
                                              default: ""
                                              type: string
                                            optional:
                                              type: boolean
                                          required:
                                            - key
                                          type: object
                                          x-kubernetes-map-type: atomic
                                        secret:
                                          properties:
                                            key:
                                              type: string
                                            name:
                                              default: ""
                                              type: string
                                            optional:
                                              type: boolean
                                          required:
                                            - key
                                          type: object
                                          x-kubernetes-map-type: atomic
                                      type: object
                                    clientSecret:
                                      properties:
                                        key:
                                          type: string
                                        name:
                                          default: ""
                                          type: string
                                        optional:
                                          type: boolean
                                      required:
                                        - key
                                      type: object
                                      x-kubernetes-map-type: atomic
                                    endpointParams:
                                      additionalProperties:
                                        type: string
                                      type: object
                                    noProxy:
                                      type: string
                                    proxyConnectHeader:
                                      additionalProperties:
                                        items:
                                          properties:
                                            key:
                                              type: string
                                            name:
                                              default: ""
                                              type: string
                                            optional:
                                              type: boolean
                                          required:
                                            - key
                                          type: object
                                          x-kubernetes-map-type: atomic
                                        type: array
                                      type: object
                                      x-kubernetes-map-type: atomic
                                    proxyFromEnvironment:
                                      type: boolean
                                    proxyUrl:
                                      pattern: ^http(s)?://.+$
                                      type: string
                                    scopes:
                                      items:
                                        type: string
                                      type: array
                                    tlsConfig:
                                      properties:
                                        ca:
                                          properties:
                                            configMap:
                                              properties:
                                                key:
                                                  type: string
                                                name:
                                                  default: ""
                                                  type: string
                                                optional:
                                                  type: boolean
                                              required:
                                                - key
                                              type: object
                                              x-kubernetes-map-type: atomic
                                            secret:
                                              properties:
                                                key:
                                                  type: string
                                                name:
                                                  default: ""
                                                  type: string
                                                optional:
                                                  type: boolean
                                              required:
                                                - key
                                              type: object
                                              x-kubernetes-map-type: atomic
                                          type: object
                                        cert:
                                          properties:
                                            configMap:
                                              properties:
                                                key:
                                                  type: string
                                                name:
                                                  default: ""
                                                  type: string
                                                optional:
                                                  type: boolean
                                              required:
                                                - key
                                              type: object
                                              x-kubernetes-map-type: atomic
                                            secret:
                                              properties:
                                                key:
                                                  type: string
                                                name:
                                                  default: ""
                                                  type: string
                                                optional:
                                                  type: boolean
                                              required:
                                                - key
                                              type: object
                                              x-kubernetes-map-type: atomic
                                          type: object
                                        insecureSkipVerify:
                                          type: boolean
                                        keySecret:
                                          properties:
                                            key:
                                              type: string
                                            name:
                                              default: ""
                                              type: string
                                            optional:
                                              type: boolean
                                          required:
                                            - key
                                          type: object
                                          x-kubernetes-map-type: atomic
                                        maxVersion:
                                          enum:
                                            - TLS10
                                            - TLS11
                                            - TLS12
                                            - TLS13
                                          type: string
                                        minVersion:
                                          enum:
                                            - TLS10
                                            - TLS11
                                            - TLS12
                                            - TLS13
                                          type: string
                                        serverName:
                                          type: string
                                      type: object
                                    tokenUrl:
                                      minLength: 1
                                      type: string
                                  required:
                                    - clientId
                                    - clientSecret
                                    - tokenUrl
                                  type: object
                                proxyConnectHeader:
                                  additionalProperties:
                                    items:
                                      properties:
                                        key:
                                          type: string
                                        name:
                                          default: ""
                                          type: string
                                        optional:
                                          type: boolean
                                      required:
                                        - key
                                      type: object
                                      x-kubernetes-map-type: atomic
                                    type: array
                                  type: object
                                  x-kubernetes-map-type: atomic
                                proxyFromEnvironment:
                                  type: boolean
                                proxyURL:
                                  type: string
                                proxyUrl:
                                  pattern: ^http(s)?://.+$
                                  type: string
                                tlsConfig:
                                  properties:
                                    ca:
                                      properties:
                                        configMap:
                                          properties:
                                            key:
                                              type: string
                                            name:
                                              default: ""
                                              type: string
                                            optional:
                                              type: boolean
                                          required:
                                            - key
                                          type: object
                                          x-kubernetes-map-type: atomic
                                        secret:
                                          properties:
                                            key:
                                              type: string
                                            name:
                                              default: ""
                                              type: string
                                            optional:
                                              type: boolean
                                          required:
                                            - key
                                          type: object
                                          x-kubernetes-map-type: atomic
                                      type: object
                                    cert:
                                      properties:
                                        configMap:
                                          properties:
                                            key:
                                              type: string
                                            name:
                                              default: ""
                                              type: string
                                            optional:
                                              type: boolean
                                          required:
                                            - key
                                          type: object
                                          x-kubernetes-map-type: atomic
                                        secret:
                                          properties:
                                            key:
                                              type: string
                                            name:
                                              default: ""
                                              type: string
                                            optional:
                                              type: boolean
                                          required:
                                            - key
                                          type: object
                                          x-kubernetes-map-type: atomic
                                      type: object
                                    insecureSkipVerify:
                                      type: boolean
                                    keySecret:
                                      properties:
                                        key:
                                          type: string
                                        name:
                                          default: ""
                                          type: string
                                        optional:
                                          type: boolean
                                      required:
                                        - key
                                      type: object
                                      x-kubernetes-map-type: atomic
                                    maxVersion:
                                      enum:
                                        - TLS10
                                        - TLS11
                                        - TLS12
                                        - TLS13
                                      type: string
                                    minVersion:
                                      enum:
                                        - TLS10
                                        - TLS11
                                        - TLS12
                                        - TLS13
                                      type: string
                                    serverName:
                                      type: string
                                  type: object
                              type: object
                            message:
                              type: string
                            roomID:
                              minLength: 1
                              type: string
                            sendResolved:
                              type: boolean
                          required:
                            - roomID
                          type: object
                        type: array
                      webhookConfigs:
                        items:
                          properties:
                            httpConfig:
                              properties:
                                authorization:
                                  properties:
                                    credentials:
                                      properties:
                                        key:
                                          type: string
                                        name:
                                          default: ""
                                          type: string
                                        optional:
                                          type: boolean
                                      required:
                                        - key
                                      type: object
                                      x-kubernetes-map-type: atomic
                                    type:
                                      type: string
                                  type: object
                                basicAuth:
                                  properties:
                                    password:
                                      properties:
                                        key:
                                          type: string
                                        name:
                                          default: ""
                                          type: string
                                        optional:
                                          type: boolean
                                      required:
                                        - key
                                      type: object
                                      x-kubernetes-map-type: atomic
                                    username:
                                      properties:
                                        key:
                                          type: string
                                        name:
                                          default: ""
                                          type: string
                                        optional:
                                          type: boolean
                                      required:
                                        - key
                                      type: object
                                      x-kubernetes-map-type: atomic
                                  type: object
                                bearerTokenSecret:
                                  properties:
                                    key:
                                      type: string
                                    name:
                                      default: ""
                                      type: string
                                    optional:
                                      type: boolean
                                  required:
                                    - key
                                  type: object
                                  x-kubernetes-map-type: atomic
                                followRedirects:
                                  type: boolean
                                noProxy:
                                  type: string
                                oauth2:
                                  properties:
                                    clientId:
                                      properties:
                                        configMap:
                                          properties:
                                            key:
                                              type: string
                                            name:
                                              default: ""
                                              type: string
                                            optional:
                                              type: boolean
                                          required:
                                            - key
                                          type: object
                                          x-kubernetes-map-type: atomic
                                        secret:
                                          properties:
                                            key:
                                              type: string
                                            name:
                                              default: ""
                                              type: string
                                            optional:
                                              type: boolean
                                          required:
                                            - key
                                          type: object
                                          x-kubernetes-map-type: atomic
                                      type: object
                                    clientSecret:
                                      properties:
                                        key:
                                          type: string
                                        name:
                                          default: ""
                                          type: string
                                        optional:
                                          type: boolean
                                      required:
                                        - key
                                      type: object
                                      x-kubernetes-map-type: atomic
                                    endpointParams:
                                      additionalProperties:
                                        type: string
                                      type: object
                                    noProxy:
                                      type: string
                                    proxyConnectHeader:
                                      additionalProperties:
                                        items:
                                          properties:
                                            key:
                                              type: string
                                            name:
                                              default: ""
                                              type: string
                                            optional:
                                              type: boolean
                                          required:
                                            - key
                                          type: object
                                          x-kubernetes-map-type: atomic
                                        type: array
                                      type: object
                                      x-kubernetes-map-type: atomic
                                    proxyFromEnvironment:
                                      type: boolean
                                    proxyUrl:
                                      pattern: ^http(s)?://.+$
                                      type: string
                                    scopes:
                                      items:
                                        type: string
                                      type: array
                                    tlsConfig:
                                      properties:
                                        ca:
                                          properties:
                                            configMap:
                                              properties:
                                                key:
                                                  type: string
                                                name:
                                                  default: ""
                                                  type: string
                                                optional:
                                                  type: boolean
                                              required:
                                                - key
                                              type: object
                                              x-kubernetes-map-type: atomic
                                            secret:
                                              properties:
                                                key:
                                                  type: string
                                                name:
                                                  default: ""
                                                  type: string
                                                optional:
                                                  type: boolean
                                              required:
                                                - key
                                              type: object
                                              x-kubernetes-map-type: atomic
                                          type: object
                                        cert:
                                          properties:
                                            configMap:
                                              properties:
                                                key:
                                                  type: string
                                                name:
                                                  default: ""
                                                  type: string
                                                optional:
                                                  type: boolean
                                              required:
                                                - key
                                              type: object
                                              x-kubernetes-map-type: atomic
                                            secret:
                                              properties:
                                                key:
                                                  type: string
                                                name:
                                                  default: ""
                                                  type: string
                                                optional:
                                                  type: boolean
                                              required:
                                                - key
                                              type: object
                                              x-kubernetes-map-type: atomic
                                          type: object
                                        insecureSkipVerify:
                                          type: boolean
                                        keySecret:
                                          properties:
                                            key:
                                              type: string
                                            name:
                                              default: ""
                                              type: string
                                            optional:
                                              type: boolean
                                          required:
                                            - key
                                          type: object
                                          x-kubernetes-map-type: atomic
                                        maxVersion:
                                          enum:
                                            - TLS10
                                            - TLS11
                                            - TLS12
                                            - TLS13
                                          type: string
                                        minVersion:
                                          enum:
                                            - TLS10
                                            - TLS11
                                            - TLS12
                                            - TLS13
                                          type: string
                                        serverName:
                                          type: string
                                      type: object
                                    tokenUrl:
                                      minLength: 1
                                      type: string
                                  required:
                                    - clientId
                                    - clientSecret
                                    - tokenUrl
                                  type: object
                                proxyConnectHeader:
                                  additionalProperties:
                                    items:
                                      properties:
                                        key:
                                          type: string
                                        name:
                                          default: ""
                                          type: string
                                        optional:
                                          type: boolean
                                      required:
                                        - key
                                      type: object
                                      x-kubernetes-map-type: atomic
                                    type: array
                                  type: object
                                  x-kubernetes-map-type: atomic
                                proxyFromEnvironment:
                                  type: boolean
                                proxyURL:
                                  type: string
                                proxyUrl:
                                  pattern: ^http(s)?://.+$
                                  type: string
                                tlsConfig:
                                  properties:
                                    ca:
                                      properties:
                                        configMap:
                                          properties:
                                            key:
                                              type: string
                                            name:
                                              default: ""
                                              type: string
                                            optional:
                                              type: boolean
                                          required:
                                            - key
                                          type: object
                                          x-kubernetes-map-type: atomic
                                        secret:
                                          properties:
                                            key:
                                              type: string
                                            name:
                                              default: ""
                                              type: string
                                            optional:
                                              type: boolean
                                          required:
                                            - key
                                          type: object
                                          x-kubernetes-map-type: atomic
                                      type: object
                                    cert:
                                      properties:
                                        configMap:
                                          properties:
                                            key:
                                              type: string
                                            name:
                                              default: ""
                                              type: string
                                            optional:
                                              type: boolean
                                          required:
                                            - key
                                          type: object
                                          x-kubernetes-map-type: atomic
                                        secret:
                                          properties:
                                            key:
                                              type: string
                                            name:
                                              default: ""
                                              type: string
                                            optional:
                                              type: boolean
                                          required:
                                            - key
                                          type: object
                                          x-kubernetes-map-type: atomic
                                      type: object
                                    insecureSkipVerify:
                                      type: boolean
                                    keySecret:
                                      properties:
                                        key:
                                          type: string
                                        name:
                                          default: ""
                                          type: string
                                        optional:
                                          type: boolean
                                      required:
                                        - key
                                      type: object
                                      x-kubernetes-map-type: atomic
                                    maxVersion:
                                      enum:
                                        - TLS10
                                        - TLS11
                                        - TLS12
                                        - TLS13
                                      type: string
                                    minVersion:
                                      enum:
                                        - TLS10
                                        - TLS11
                                        - TLS12
                                        - TLS13
                                      type: string
                                    serverName:
                                      type: string
                                  type: object
                              type: object
                            maxAlerts:
                              format: int32
                              minimum: 0
                              type: integer
                            sendResolved:
                              type: boolean
                            url:
                              type: string
                            urlSecret:
                              properties:
                                key:
                                  type: string
                                name:
                                  default: ""
                                  type: string
                                optional:
                                  type: boolean
                              required:
                                - key
                              type: object
                              x-kubernetes-map-type: atomic
                          type: object
                        type: array
                      wechatConfigs:
                        items:
                          properties:
                            agentID:
                              type: string
                            apiSecret:
                              properties:
                                key:
                                  type: string
                                name:
                                  default: ""
                                  type: string
                                optional:
                                  type: boolean
                              required:
                                - key
                              type: object
                              x-kubernetes-map-type: atomic
                            apiURL:
                              type: string
                            corpID:
                              type: string
                            httpConfig:
                              properties:
                                authorization:
                                  properties:
                                    credentials:
                                      properties:
                                        key:
                                          type: string
                                        name:
                                          default: ""
                                          type: string
                                        optional:
                                          type: boolean
                                      required:
                                        - key
                                      type: object
                                      x-kubernetes-map-type: atomic
                                    type:
                                      type: string
                                  type: object
                                basicAuth:
                                  properties:
                                    password:
                                      properties:
                                        key:
                                          type: string
                                        name:
                                          default: ""
                                          type: string
                                        optional:
                                          type: boolean
                                      required:
                                        - key
                                      type: object
                                      x-kubernetes-map-type: atomic
                                    username:
                                      properties:
                                        key:
                                          type: string
                                        name:
                                          default: ""
                                          type: string
                                        optional:
                                          type: boolean
                                      required:
                                        - key
                                      type: object
                                      x-kubernetes-map-type: atomic
                                  type: object
                                bearerTokenSecret:
                                  properties:
                                    key:
                                      type: string
                                    name:
                                      default: ""
                                      type: string
                                    optional:
                                      type: boolean
                                  required:
                                    - key
                                  type: object
                                  x-kubernetes-map-type: atomic
                                followRedirects:
                                  type: boolean
                                noProxy:
                                  type: string
                                oauth2:
                                  properties:
                                    clientId:
                                      properties:
                                        configMap:
                                          properties:
                                            key:
                                              type: string
                                            name:
                                              default: ""
                                              type: string
                                            optional:
                                              type: boolean
                                          required:
                                            - key
                                          type: object
                                          x-kubernetes-map-type: atomic
                                        secret:
                                          properties:
                                            key:
                                              type: string
                                            name:
                                              default: ""
                                              type: string
                                            optional:
                                              type: boolean
                                          required:
                                            - key
                                          type: object
                                          x-kubernetes-map-type: atomic
                                      type: object
                                    clientSecret:
                                      properties:
                                        key:
                                          type: string
                                        name:
                                          default: ""
                                          type: string
                                        optional:
                                          type: boolean
                                      required:
                                        - key
                                      type: object
                                      x-kubernetes-map-type: atomic
                                    endpointParams:
                                      additionalProperties:
                                        type: string
                                      type: object
                                    noProxy:
                                      type: string
                                    proxyConnectHeader:
                                      additionalProperties:
                                        items:
                                          properties:
                                            key:
                                              type: string
                                            name:
                                              default: ""
                                              type: string
                                            optional:
                                              type: boolean
                                          required:
                                            - key
                                          type: object
                                          x-kubernetes-map-type: atomic
                                        type: array
                                      type: object
                                      x-kubernetes-map-type: atomic
                                    proxyFromEnvironment:
                                      type: boolean
                                    proxyUrl:
                                      pattern: ^http(s)?://.+$
                                      type: string
                                    scopes:
                                      items:
                                        type: string
                                      type: array
                                    tlsConfig:
                                      properties:
                                        ca:
                                          properties:
                                            configMap:
                                              properties:
                                                key:
                                                  type: string
                                                name:
                                                  default: ""
                                                  type: string
                                                optional:
                                                  type: boolean
                                              required:
                                                - key
                                              type: object
                                              x-kubernetes-map-type: atomic
                                            secret:
                                              properties:
                                                key:
                                                  type: string
                                                name:
                                                  default: ""
                                                  type: string
                                                optional:
                                                  type: boolean
                                              required:
                                                - key
                                              type: object
                                              x-kubernetes-map-type: atomic
                                          type: object
                                        cert:
                                          properties:
                                            configMap:
                                              properties:
                                                key:
                                                  type: string
                                                name:
                                                  default: ""
                                                  type: string
                                                optional:
                                                  type: boolean
                                              required:
                                                - key
                                              type: object
                                              x-kubernetes-map-type: atomic
                                            secret:
                                              properties:
                                                key:
                                                  type: string
                                                name:
                                                  default: ""
                                                  type: string
                                                optional:
                                                  type: boolean
                                              required:
                                                - key
                                              type: object
                                              x-kubernetes-map-type: atomic
                                          type: object
                                        insecureSkipVerify:
                                          type: boolean
                                        keySecret:
                                          properties:
                                            key:
                                              type: string
                                            name:
                                              default: ""
                                              type: string
                                            optional:
                                              type: boolean
                                          required:
                                            - key
                                          type: object
                                          x-kubernetes-map-type: atomic
                                        maxVersion:
                                          enum:
                                            - TLS10
                                            - TLS11
                                            - TLS12
                                            - TLS13
                                          type: string
                                        minVersion:
                                          enum:
                                            - TLS10
                                            - TLS11
                                            - TLS12
                                            - TLS13
                                          type: string
                                        serverName:
                                          type: string
                                      type: object
                                    tokenUrl:
                                      minLength: 1
                                      type: string
                                  required:
                                    - clientId
                                    - clientSecret
                                    - tokenUrl
                                  type: object
                                proxyConnectHeader:
                                  additionalProperties:
                                    items:
                                      properties:
                                        key:
                                          type: string
                                        name:
                                          default: ""
                                          type: string
                                        optional:
                                          type: boolean
                                      required:
                                        - key
                                      type: object
                                      x-kubernetes-map-type: atomic
                                    type: array
                                  type: object
                                  x-kubernetes-map-type: atomic
                                proxyFromEnvironment:
                                  type: boolean
                                proxyURL:
                                  type: string
                                proxyUrl:
                                  pattern: ^http(s)?://.+$
                                  type: string
                                tlsConfig:
                                  properties:
                                    ca:
                                      properties:
                                        configMap:
                                          properties:
                                            key:
                                              type: string
                                            name:
                                              default: ""
                                              type: string
                                            optional:
                                              type: boolean
                                          required:
                                            - key
                                          type: object
                                          x-kubernetes-map-type: atomic
                                        secret:
                                          properties:
                                            key:
                                              type: string
                                            name:
                                              default: ""
                                              type: string
                                            optional:
                                              type: boolean
                                          required:
                                            - key
                                          type: object
                                          x-kubernetes-map-type: atomic
                                      type: object
                                    cert:
                                      properties:
                                        configMap:
                                          properties:
                                            key:
                                              type: string
                                            name:
                                              default: ""
                                              type: string
                                            optional:
                                              type: boolean
                                          required:
                                            - key
                                          type: object
                                          x-kubernetes-map-type: atomic
                                        secret:
                                          properties:
                                            key:
                                              type: string
                                            name:
                                              default: ""
                                              type: string
                                            optional:
                                              type: boolean
                                          required:
                                            - key
                                          type: object
                                          x-kubernetes-map-type: atomic
                                      type: object
                                    insecureSkipVerify:
                                      type: boolean
                                    keySecret:
                                      properties:
                                        key:
                                          type: string
                                        name:
                                          default: ""
                                          type: string
                                        optional:
                                          type: boolean
                                      required:
                                        - key
                                      type: object
                                      x-kubernetes-map-type: atomic
                                    maxVersion:
                                      enum:
                                        - TLS10
                                        - TLS11
                                        - TLS12
                                        - TLS13
                                      type: string
                                    minVersion:
                                      enum:
                                        - TLS10
                                        - TLS11
                                        - TLS12
                                        - TLS13
                                      type: string
                                    serverName:
                                      type: string
                                  type: object
                              type: object
                            message:
                              type: string
                            messageType:
                              type: string
                            sendResolved:
                              type: boolean
                            toParty:
                              type: string
                            toTag:
                              type: string
                            toUser:
                              type: string
                          type: object
                        type: array
                    required:
                      - name
                    type: object
                  type: array
                route:
                  properties:
                    activeTimeIntervals:
                      items:
                        type: string
                      type: array
                    continue:
                      type: boolean
                    groupBy:
                      items:
                        type: string
                      type: array
                    groupInterval:
                      type: string
                    groupWait:
                      type: string
                    matchers:
                      items:
                        properties:
                          matchType:
                            enum:
                              - '!='
                              - =
                              - =~
                              - '!~'
                            type: string
                          name:
                            minLength: 1
                            type: string
                          regex:
                            type: boolean
                          value:
                            type: string
                        required:
                          - name
                        type: object
                      type: array
                    muteTimeIntervals:
                      items:
                        type: string
                      type: array
                    receiver:
                      type: string
                    repeatInterval:
                      type: string
                    routes:
                      items:
                        x-kubernetes-preserve-unknown-fields: true
                      type: array
                  type: object
              type: object
          required:
            - spec
          type: object
      served: true
      storage: true
